-- Version: 7.3 7.3.0.29

library ieee;
use ieee.std_logic_1164.all;
library fusion;
use fusion.all;

entity Analog is

    port( SYS_CLK        : in    std_logic;
          SYS_RESET      : in    std_logic;
          VAREF          : inout std_logic := 'Z';
          DATAVALID      : out   std_logic;
          AV5V           : in    std_logic;
          Temp           : in    std_logic;
          Supply_good    : out   std_logic;
          Supply_good_en : in    std_logic;
          Over_temp      : out   std_logic;
          Over_temp_en   : in    std_logic;
          ATRETURN01     : in    std_logic;
          AV5V_over5p25  : out   std_logic;
          AV5V_under4p75 : out   std_logic;
          Temp_over70C   : out   std_logic;
          ASSC_SEQIN     : in    std_logic_vector(5 downto 0);
          ASSC_XMODE     : in    std_logic;
          ASSC_XTRIG     : in    std_logic;
          ASSC_SEQJUMP   : in    std_logic;
          ASSC_DONE      : out   std_logic;
          ASSC_WAIT      : out   std_logic;
          ASSC_CHSAT     : out   std_logic;
          ASSC_CHLATD    : out   std_logic;
          ASSC_SEQCHANGE : out   std_logic;
          ASSC_SEQOUT    : out   std_logic_vector(5 downto 0);
          ASSC_SAMPFLAG  : out   std_logic;
          INIT_ADDR      : in    std_logic_vector(8 downto 0);
          INIT_DATA      : in    std_logic_vector(8 downto 0);
          INIT_ACM_WEN   : in    std_logic;
          INIT_ASSC_WEN  : in    std_logic;
          INIT_EV_WEN    : in    std_logic;
          INIT_TR_WEN    : in    std_logic;
          INIT_DONE      : in    std_logic;
          ADC_CHNUMBER   : out   std_logic_vector(4 downto 0);
          ACMCLK         : in    std_logic;
          ACMRDATA_I     : out   std_logic_vector(7 downto 0)
        );

end Analog;

architecture DEF_ARCH of Analog is 

  component AB
    port( DAVOUT0     : out   std_logic;
          DACOUT0     : out   std_logic;
          DATOUT0     : out   std_logic;
          DAVOUT1     : out   std_logic;
          DACOUT1     : out   std_logic;
          DATOUT1     : out   std_logic;
          DAVOUT2     : out   std_logic;
          DACOUT2     : out   std_logic;
          DATOUT2     : out   std_logic;
          DAVOUT3     : out   std_logic;
          DACOUT3     : out   std_logic;
          DATOUT3     : out   std_logic;
          DAVOUT4     : out   std_logic;
          DACOUT4     : out   std_logic;
          DATOUT4     : out   std_logic;
          DAVOUT5     : out   std_logic;
          DACOUT5     : out   std_logic;
          DATOUT5     : out   std_logic;
          DAVOUT6     : out   std_logic;
          DACOUT6     : out   std_logic;
          DATOUT6     : out   std_logic;
          DAVOUT7     : out   std_logic;
          DACOUT7     : out   std_logic;
          DATOUT7     : out   std_logic;
          DAVOUT8     : out   std_logic;
          DACOUT8     : out   std_logic;
          DATOUT8     : out   std_logic;
          DAVOUT9     : out   std_logic;
          DACOUT9     : out   std_logic;
          DATOUT9     : out   std_logic;
          DENAV0      : in    std_logic := 'U';
          DENAC0      : in    std_logic := 'U';
          DENAT0      : in    std_logic := 'U';
          DENAV1      : in    std_logic := 'U';
          DENAC1      : in    std_logic := 'U';
          DENAT1      : in    std_logic := 'U';
          DENAV2      : in    std_logic := 'U';
          DENAC2      : in    std_logic := 'U';
          DENAT2      : in    std_logic := 'U';
          DENAV3      : in    std_logic := 'U';
          DENAC3      : in    std_logic := 'U';
          DENAT3      : in    std_logic := 'U';
          DENAV4      : in    std_logic := 'U';
          DENAC4      : in    std_logic := 'U';
          DENAT4      : in    std_logic := 'U';
          DENAV5      : in    std_logic := 'U';
          DENAC5      : in    std_logic := 'U';
          DENAT5      : in    std_logic := 'U';
          DENAV6      : in    std_logic := 'U';
          DENAC6      : in    std_logic := 'U';
          DENAT6      : in    std_logic := 'U';
          DENAV7      : in    std_logic := 'U';
          DENAC7      : in    std_logic := 'U';
          DENAT7      : in    std_logic := 'U';
          DENAV8      : in    std_logic := 'U';
          DENAC8      : in    std_logic := 'U';
          DENAT8      : in    std_logic := 'U';
          DENAV9      : in    std_logic := 'U';
          DENAC9      : in    std_logic := 'U';
          DENAT9      : in    std_logic := 'U';
          AV0         : in    std_logic := 'U';
          AC0         : in    std_logic := 'U';
          AT0         : in    std_logic := 'U';
          AG0         : out   std_logic;
          AV1         : in    std_logic := 'U';
          AC1         : in    std_logic := 'U';
          AT1         : in    std_logic := 'U';
          AG1         : out   std_logic;
          AV2         : in    std_logic := 'U';
          AC2         : in    std_logic := 'U';
          AT2         : in    std_logic := 'U';
          AG2         : out   std_logic;
          AV3         : in    std_logic := 'U';
          AC3         : in    std_logic := 'U';
          AT3         : in    std_logic := 'U';
          AG3         : out   std_logic;
          AV4         : in    std_logic := 'U';
          AC4         : in    std_logic := 'U';
          AT4         : in    std_logic := 'U';
          AG4         : out   std_logic;
          AV5         : in    std_logic := 'U';
          AC5         : in    std_logic := 'U';
          AT5         : in    std_logic := 'U';
          AG5         : out   std_logic;
          AV6         : in    std_logic := 'U';
          AC6         : in    std_logic := 'U';
          AT6         : in    std_logic := 'U';
          AG6         : out   std_logic;
          AV7         : in    std_logic := 'U';
          AC7         : in    std_logic := 'U';
          AT7         : in    std_logic := 'U';
          AG7         : out   std_logic;
          AV8         : in    std_logic := 'U';
          AC8         : in    std_logic := 'U';
          AT8         : in    std_logic := 'U';
          AG8         : out   std_logic;
          AV9         : in    std_logic := 'U';
          AC9         : in    std_logic := 'U';
          AT9         : in    std_logic := 'U';
          AG9         : out   std_logic;
          ATRETURN01  : in    std_logic := 'U';
          ATRETURN23  : in    std_logic := 'U';
          ATRETURN45  : in    std_logic := 'U';
          ATRETURN67  : in    std_logic := 'U';
          ATRETURN89  : in    std_logic := 'U';
          VAREF       : inout   std_logic;
          GNDREF      : in    std_logic := 'U';
          GDON0       : in    std_logic := 'U';
          GDON1       : in    std_logic := 'U';
          GDON2       : in    std_logic := 'U';
          GDON3       : in    std_logic := 'U';
          GDON4       : in    std_logic := 'U';
          GDON5       : in    std_logic := 'U';
          GDON6       : in    std_logic := 'U';
          GDON7       : in    std_logic := 'U';
          GDON8       : in    std_logic := 'U';
          GDON9       : in    std_logic := 'U';
          CMSTB0      : in    std_logic := 'U';
          CMSTB1      : in    std_logic := 'U';
          CMSTB2      : in    std_logic := 'U';
          CMSTB3      : in    std_logic := 'U';
          CMSTB4      : in    std_logic := 'U';
          CMSTB5      : in    std_logic := 'U';
          CMSTB6      : in    std_logic := 'U';
          CMSTB7      : in    std_logic := 'U';
          CMSTB8      : in    std_logic := 'U';
          CMSTB9      : in    std_logic := 'U';
          TMSTB0      : in    std_logic := 'U';
          TMSTB1      : in    std_logic := 'U';
          TMSTB2      : in    std_logic := 'U';
          TMSTB3      : in    std_logic := 'U';
          TMSTB4      : in    std_logic := 'U';
          TMSTB5      : in    std_logic := 'U';
          TMSTB6      : in    std_logic := 'U';
          TMSTB7      : in    std_logic := 'U';
          TMSTB8      : in    std_logic := 'U';
          TMSTB9      : in    std_logic := 'U';
          TMSTBINT    : in    std_logic := 'U';
          RESULT      : out   std_logic_vector(11 downto 0);
          ACMRDATA    : out   std_logic_vector(7 downto 0);
          ACMWDATA    : in    std_logic_vector(7 downto 0) := (others => 'U');
          ACMADDR     : in    std_logic_vector(7 downto 0) := (others => 'U');
          STC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          TVC         : in    std_logic_vector(7 downto 0) := (others => 'U');
          CHNUMBER    : in    std_logic_vector(4 downto 0) := (others => 'U');
          MODE        : in    std_logic_vector(3 downto 0) := (others => 'U');
          RTCXTLMODE  : out   std_logic_vector(1 downto 0);
          ACMRESET    : in    std_logic := 'U';
          ACMCLK      : in    std_logic := 'U';
          ACMWEN      : in    std_logic := 'U';
          VAREFSEL    : in    std_logic := 'U';
          DATAVALID   : out   std_logic;
          CALIBRATE   : out   std_logic;
          SAMPLE      : out   std_logic;
          BUSY        : out   std_logic;
          PWRDWN      : in    std_logic := 'U';
          SYSCLK      : in    std_logic := 'U';
          ADCRESET    : in    std_logic := 'U';
          ADCSTART    : in    std_logic := 'U';
          RTCMATCH    : out   std_logic;
          RTCPSMMATCH : out   std_logic;
          RTCXTLSEL   : out   std_logic;
          RTCCLK      : in    std_logic := 'U'
        );
  end component;

  component INBUF_A
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component Analog_smtr_ram
    port( DATAA    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSA : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWA      : in    std_logic := 'U';
          BLKA     : in    std_logic := 'U';
          DATAB    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSB : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWB      : in    std_logic := 'U';
          BLKB     : in    std_logic := 'U';
          CLOCK    : in    std_logic := 'U';
          RESET    : in    std_logic := 'U';
          QA       : out   std_logic_vector(8 downto 0);
          QB       : out   std_logic_vector(8 downto 0)
        );
  end component;

  component OR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OUTBUF_A
    port( D   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component Analog_smtr_wrapper
    port( CLK              : in    std_logic := 'U';
          NRESET           : in    std_logic := 'U';
          EV_CHHOLD        : in    std_logic_vector(4 downto 0) := (others => 'U');
          EV_DONE          : in    std_logic := 'U';
          GPI              : in    std_logic_vector(31 downto 0) := (others => 'U');
          INIT_ADDR        : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_TR_WR       : in    std_logic := 'U';
          INIT_DI          : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_DONE        : in    std_logic := 'U';
          USER_TR_ADDR     : in    std_logic_vector(8 downto 0) := (others => 'U');
          USER_TR_RD       : in    std_logic := 'U';
          EV_RAM_DO_A      : in    std_logic_vector(8 downto 0) := (others => 'U');
          TR_RAM_DO_B      : in    std_logic_vector(8 downto 0) := (others => 'U');
          EV_RAM_WR_BUSY_B : in    std_logic := 'U';
          GPO              : out   std_logic_vector(31 downto 0);
          USER_TR_RAM_BUSY : out   std_logic;
          TR_TRFLAG        : out   std_logic;
          TR_DONE          : out   std_logic;
          TR_EV_ADDR       : out   std_logic_vector(8 downto 0);
          TR_EV_RD         : out   std_logic;
          TR_RAM_ADDR_A    : out   std_logic_vector(8 downto 0);
          TR_RAM_RW_A      : out   std_logic;
          TR_RAM_CSN_A     : out   std_logic;
          TR_RAM_DI_A      : out   std_logic_vector(8 downto 0);
          TR_RAM_ADDR_B    : out   std_logic_vector(8 downto 0);
          TR_RAM_RW_B      : out   std_logic;
          TR_RAM_CSN_B     : out   std_logic;
          TR_RAM_DI_B      : out   std_logic_vector(8 downto 0);
          TR_RAM_WR_BUSY_B : out   std_logic
        );
  end component;

  component Analog_assc_ram
    port( DATAA    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSA : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWA      : in    std_logic := 'U';
          BLKA     : in    std_logic := 'U';
          DATAB    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSB : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWB      : in    std_logic := 'U';
          BLKB     : in    std_logic := 'U';
          CLOCK    : in    std_logic := 'U';
          RESET    : in    std_logic := 'U';
          QA       : out   std_logic_vector(8 downto 0);
          QB       : out   std_logic_vector(8 downto 0)
        );
  end component;

  component Analog_smev_wrapper
    port( CLK                : in    std_logic := 'U';
          NRESET             : in    std_logic := 'U';
          ASSC_SEQOUT        : in    std_logic_vector(5 downto 0) := (others => 'U');
          ASSC_SEQCHANGE     : in    std_logic := 'U';
          ASSC_DONE          : in    std_logic := 'U';
          ASSC_SAMPFLAG      : in    std_logic := 'U';
          ADC_CHNR           : in    std_logic_vector(4 downto 0) := (others => 'U');
          INIT_ADDR          : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_EV_WR         : in    std_logic := 'U';
          INIT_DI            : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_DONE          : in    std_logic := 'U';
          USER_EV_ADDR       : in    std_logic_vector(8 downto 0) := (others => 'U');
          USER_EV_RD         : in    std_logic := 'U';
          TR_EV_ADDR         : in    std_logic_vector(8 downto 0) := (others => 'U');
          TR_EV_RD           : in    std_logic := 'U';
          ASSC_RAM_DO_A      : in    std_logic_vector(8 downto 0) := (others => 'U');
          EV_RAM_DO_B        : in    std_logic_vector(8 downto 0) := (others => 'U');
          ASSC_RAM_WR_BUSY_B : in    std_logic := 'U';
          EV_CHHOLD          : out   std_logic_vector(4 downto 0);
          USER_EV_RAM_BUSY   : out   std_logic;
          EV_EVFLAG          : out   std_logic;
          EV_DONE            : out   std_logic;
          EV_ASSC_ADDR       : out   std_logic_vector(8 downto 0);
          EV_ASSC_RD         : out   std_logic;
          EV_RAM_ADDR_A      : out   std_logic_vector(8 downto 0);
          EV_RAM_RW_A        : out   std_logic;
          EV_RAM_CSN_A       : out   std_logic;
          EV_RAM_DI_A        : out   std_logic_vector(8 downto 0);
          EV_RAM_ADDR_B      : out   std_logic_vector(8 downto 0);
          EV_RAM_RW_B        : out   std_logic;
          EV_RAM_CSN_B       : out   std_logic;
          EV_RAM_DI_B        : out   std_logic_vector(8 downto 0);
          EV_RAM_WR_BUSY_B   : out   std_logic
        );
  end component;

  component Analog_smev_ram
    port( DATAA    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSA : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWA      : in    std_logic := 'U';
          BLKA     : in    std_logic := 'U';
          DATAB    : in    std_logic_vector(8 downto 0) := (others => 'U');
          ADDRESSB : in    std_logic_vector(8 downto 0) := (others => 'U');
          RWB      : in    std_logic := 'U';
          BLKB     : in    std_logic := 'U';
          CLOCK    : in    std_logic := 'U';
          RESET    : in    std_logic := 'U';
          QA       : out   std_logic_vector(8 downto 0);
          QB       : out   std_logic_vector(8 downto 0)
        );
  end component;

  component Analog_assc_wrapper
    port( CLK                : in    std_logic := 'U';
          NRESET             : in    std_logic := 'U';
          INIT_ADDR          : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_ASSC_WR       : in    std_logic := 'U';
          INIT_DI            : in    std_logic_vector(8 downto 0) := (others => 'U');
          INIT_DONE          : in    std_logic := 'U';
          USER_ASSC_ADDR     : in    std_logic_vector(8 downto 0) := (others => 'U');
          USER_ASSC_RD       : in    std_logic := 'U';
          EV_ASSC_ADDR       : in    std_logic_vector(8 downto 0) := (others => 'U');
          EV_ASSC_RD         : in    std_logic := 'U';
          EV_EVFLAG          : in    std_logic := 'U';
          EV_DONE            : in    std_logic := 'U';
          TR_TRFLAG          : in    std_logic := 'U';
          TR_DONE            : in    std_logic := 'U';
          ASSC_SEQIN         : in    std_logic_vector(5 downto 0) := (others => 'U');
          ASSC_RAM_DO_B      : in    std_logic_vector(8 downto 0) := (others => 'U');
          ASSC_XMODE         : in    std_logic := 'U';
          ASSC_XTRIG         : in    std_logic := 'U';
          ASSC_SEQJUMP       : in    std_logic := 'U';
          ADC_CALIBRATE      : in    std_logic := 'U';
          ADC_BUSY           : in    std_logic := 'U';
          ADC_RESULT         : in    std_logic_vector(11 downto 0) := (others => 'U');
          USER_ASSC_RAM_BUSY : out   std_logic;
          ASSC_RAM_ADDR_A    : out   std_logic_vector(8 downto 0);
          ASSC_RAM_RW_A      : out   std_logic;
          ASSC_RAM_CSN_A     : out   std_logic;
          ASSC_RAM_DI_A      : out   std_logic_vector(8 downto 0);
          ASSC_RAM_ADDR_B    : out   std_logic_vector(8 downto 0);
          ASSC_RAM_RW_B      : out   std_logic;
          ASSC_RAM_CSN_B     : out   std_logic;
          ASSC_RAM_DI_B      : out   std_logic_vector(8 downto 0);
          ASSC_SEQOUT        : out   std_logic_vector(5 downto 0);
          ASSC_SEQCHANGE     : out   std_logic;
          ASSC_DONE          : out   std_logic;
          ASSC_WAIT          : out   std_logic;
          ASSC_SAMPFLAG      : out   std_logic;
          ASSC_CHSAT         : out   std_logic;
          ASSC_CHLATD        : out   std_logic;
          ADC_START          : out   std_logic;
          ADC_PDOWN          : out   std_logic;
          ADC_RESET          : out   std_logic;
          ADC_MODE           : out   std_logic_vector(3 downto 0);
          ADC_VREFSEL        : out   std_logic;
          ADC_CHNR           : out   std_logic_vector(4 downto 0);
          ADC_STC            : out   std_logic_vector(7 downto 0);
          ADC_DVC            : out   std_logic_vector(7 downto 0);
          CM_STB             : out   std_logic_vector(9 downto 0);
          TM_STB             : out   std_logic_vector(10 downto 0);
          ASSC_RAM_WR_BUSY_B : out   std_logic
        );
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal GND_net, VCC_net, ASSC_RAM_RW_A_net, 
        ASSC_RAM_CSN_A_net, ASSC_RAM_DI_A_net_busnet_8, 
        ASSC_RAM_DI_A_net_busnet_7, ASSC_RAM_DI_A_net_busnet_6, 
        ASSC_RAM_DI_A_net_busnet_5, ASSC_RAM_DI_A_net_busnet_4, 
        ASSC_RAM_DI_A_net_busnet_3, ASSC_RAM_DI_A_net_busnet_2, 
        ASSC_RAM_DI_A_net_busnet_1, ASSC_RAM_DI_A_net_busnet_0, 
        ASSC_RAM_ADDR_A_net_busnet_8, 
        ASSC_RAM_ADDR_A_net_busnet_7, 
        ASSC_RAM_ADDR_A_net_busnet_6, 
        ASSC_RAM_ADDR_A_net_busnet_5, 
        ASSC_RAM_ADDR_A_net_busnet_4, 
        ASSC_RAM_ADDR_A_net_busnet_3, 
        ASSC_RAM_ADDR_A_net_busnet_2, 
        ASSC_RAM_ADDR_A_net_busnet_1, 
        ASSC_RAM_ADDR_A_net_busnet_0, ASSC_RAM_RW_B_net, 
        ASSC_RAM_CSN_B_net, ASSC_RAM_DI_B_net_busnet_8, 
        ASSC_RAM_DI_B_net_busnet_7, ASSC_RAM_DI_B_net_busnet_6, 
        ASSC_RAM_DI_B_net_busnet_5, ASSC_RAM_DI_B_net_busnet_4, 
        ASSC_RAM_DI_B_net_busnet_3, ASSC_RAM_DI_B_net_busnet_2, 
        ASSC_RAM_DI_B_net_busnet_1, ASSC_RAM_DI_B_net_busnet_0, 
        ASSC_RAM_ADDR_B_net_busnet_8, 
        ASSC_RAM_ADDR_B_net_busnet_7, 
        ASSC_RAM_ADDR_B_net_busnet_6, 
        ASSC_RAM_ADDR_B_net_busnet_5, 
        ASSC_RAM_ADDR_B_net_busnet_4, 
        ASSC_RAM_ADDR_B_net_busnet_3, 
        ASSC_RAM_ADDR_B_net_busnet_2, 
        ASSC_RAM_ADDR_B_net_busnet_1, 
        ASSC_RAM_ADDR_B_net_busnet_0, ASSC_RAM_DO_B_net_busnet_8, 
        ASSC_RAM_DO_B_net_busnet_7, ASSC_RAM_DO_B_net_busnet_6, 
        ASSC_RAM_DO_B_net_busnet_5, ASSC_RAM_DO_B_net_busnet_4, 
        ASSC_RAM_DO_B_net_busnet_3, ASSC_RAM_DO_B_net_busnet_2, 
        ASSC_RAM_DO_B_net_busnet_1, ASSC_RAM_DO_B_net_busnet_0, 
        ADC_START_net, ADC_PDOWN_net, ADC_RESET_net, 
        ADC_MODE_net_busnet_3, ADC_MODE_net_busnet_2, 
        ADC_MODE_net_busnet_1, ADC_MODE_net_busnet_0, 
        ADC_VREFSEL_net, ADC_CHNR_net_busnet_4, 
        ADC_CHNR_net_busnet_3, ADC_CHNR_net_busnet_2, 
        ADC_CHNR_net_busnet_1, ADC_CHNR_net_busnet_0, 
        ADC_STC_net_busnet_7, ADC_STC_net_busnet_6, 
        ADC_STC_net_busnet_5, ADC_STC_net_busnet_4, 
        ADC_STC_net_busnet_3, ADC_STC_net_busnet_2, 
        ADC_STC_net_busnet_1, ADC_STC_net_busnet_0, 
        ADC_TVC_net_busnet_7, ADC_TVC_net_busnet_6, 
        ADC_TVC_net_busnet_5, ADC_TVC_net_busnet_4, 
        ADC_TVC_net_busnet_3, ADC_TVC_net_busnet_2, 
        ADC_TVC_net_busnet_1, ADC_TVC_net_busnet_0, 
        ADC_CALIBRATE_net, ADC_BUSY_net, ADC_RESULT_net_busnet_11, 
        ADC_RESULT_net_busnet_10, ADC_RESULT_net_busnet_9, 
        ADC_RESULT_net_busnet_8, ADC_RESULT_net_busnet_7, 
        ADC_RESULT_net_busnet_6, ADC_RESULT_net_busnet_5, 
        ADC_RESULT_net_busnet_4, ADC_RESULT_net_busnet_3, 
        ADC_RESULT_net_busnet_2, ADC_RESULT_net_busnet_1, 
        ADC_RESULT_net_busnet_0, CM_STB_net_0, CM_STB_net_1, 
        CM_STB_net_2, CM_STB_net_3, CM_STB_net_4, CM_STB_net_5, 
        CM_STB_net_6, CM_STB_net_7, CM_STB_net_8, CM_STB_net_9, 
        TM_STB_net_0, TM_STB_net_1, TM_STB_net_2, TM_STB_net_3, 
        TM_STB_net_4, TM_STB_net_5, TM_STB_net_6, TM_STB_net_7, 
        TM_STB_net_8, TM_STB_net_9, TM_STB_net_10, ASSC_DONE_net, 
        ASSC_SEQCHANGE_net, ASSC_SEQOUT_net_busnet_5, 
        ASSC_SEQOUT_net_busnet_4, ASSC_SEQOUT_net_busnet_3, 
        ASSC_SEQOUT_net_busnet_2, ASSC_SEQOUT_net_busnet_1, 
        ASSC_SEQOUT_net_busnet_0, ASSC_SAMPFLAG_net, 
        EV_RAM_RW_A_net, EV_RAM_CSN_A_net, 
        EV_RAM_DI_A_net_busnet_8, EV_RAM_DI_A_net_busnet_7, 
        EV_RAM_DI_A_net_busnet_6, EV_RAM_DI_A_net_busnet_5, 
        EV_RAM_DI_A_net_busnet_4, EV_RAM_DI_A_net_busnet_3, 
        EV_RAM_DI_A_net_busnet_2, EV_RAM_DI_A_net_busnet_1, 
        EV_RAM_DI_A_net_busnet_0, EV_RAM_ADDR_A_net_busnet_8, 
        EV_RAM_ADDR_A_net_busnet_7, EV_RAM_ADDR_A_net_busnet_6, 
        EV_RAM_ADDR_A_net_busnet_5, EV_RAM_ADDR_A_net_busnet_4, 
        EV_RAM_ADDR_A_net_busnet_3, EV_RAM_ADDR_A_net_busnet_2, 
        EV_RAM_ADDR_A_net_busnet_1, EV_RAM_ADDR_A_net_busnet_0, 
        EV_RAM_RW_B_net, EV_RAM_CSN_B_net, 
        EV_RAM_DI_B_net_busnet_8, EV_RAM_DI_B_net_busnet_7, 
        EV_RAM_DI_B_net_busnet_6, EV_RAM_DI_B_net_busnet_5, 
        EV_RAM_DI_B_net_busnet_4, EV_RAM_DI_B_net_busnet_3, 
        EV_RAM_DI_B_net_busnet_2, EV_RAM_DI_B_net_busnet_1, 
        EV_RAM_DI_B_net_busnet_0, EV_RAM_ADDR_B_net_busnet_8, 
        EV_RAM_ADDR_B_net_busnet_7, EV_RAM_ADDR_B_net_busnet_6, 
        EV_RAM_ADDR_B_net_busnet_5, EV_RAM_ADDR_B_net_busnet_4, 
        EV_RAM_ADDR_B_net_busnet_3, EV_RAM_ADDR_B_net_busnet_2, 
        EV_RAM_ADDR_B_net_busnet_1, EV_RAM_ADDR_B_net_busnet_0, 
        EV_RAM_DO_B_net_busnet_8, EV_RAM_DO_B_net_busnet_7, 
        EV_RAM_DO_B_net_busnet_6, EV_RAM_DO_B_net_busnet_5, 
        EV_RAM_DO_B_net_busnet_4, EV_RAM_DO_B_net_busnet_3, 
        EV_RAM_DO_B_net_busnet_2, EV_RAM_DO_B_net_busnet_1, 
        EV_RAM_DO_B_net_busnet_0, EV_ASSCADDR_net_busnet_8, 
        EV_ASSCADDR_net_busnet_7, EV_ASSCADDR_net_busnet_6, 
        EV_ASSCADDR_net_busnet_5, EV_ASSCADDR_net_busnet_4, 
        EV_ASSCADDR_net_busnet_3, EV_ASSCADDR_net_busnet_2, 
        EV_ASSCADDR_net_busnet_1, EV_ASSCADDR_net_busnet_0, 
        EV_ASSC_RD_net, EV_EVFLAG_net, EV_DONE_net, 
        ASSC_RAM_WR_BUSY_B_net, TR_TRFLAG_net, TR_DONE_net, 
        ASSC_RAM_DO_A_net_busnet_8, ASSC_RAM_DO_A_net_busnet_7, 
        ASSC_RAM_DO_A_net_busnet_6, ASSC_RAM_DO_A_net_busnet_5, 
        ASSC_RAM_DO_A_net_busnet_4, ASSC_RAM_DO_A_net_busnet_3, 
        ASSC_RAM_DO_A_net_busnet_2, ASSC_RAM_DO_A_net_busnet_1, 
        ASSC_RAM_DO_A_net_busnet_0, TR_EV_ADDR_net_busnet_8, 
        TR_EV_ADDR_net_busnet_7, TR_EV_ADDR_net_busnet_6, 
        TR_EV_ADDR_net_busnet_5, TR_EV_ADDR_net_busnet_4, 
        TR_EV_ADDR_net_busnet_3, TR_EV_ADDR_net_busnet_2, 
        TR_EV_ADDR_net_busnet_1, TR_EV_ADDR_net_busnet_0, 
        TR_EV_RD_net, EV_CHHOLD_net_busnet_4, 
        EV_CHHOLD_net_busnet_3, EV_CHHOLD_net_busnet_2, 
        EV_CHHOLD_net_busnet_1, EV_CHHOLD_net_busnet_0, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DO_A_net_busnet_8, 
        EV_RAM_DO_A_net_busnet_7, EV_RAM_DO_A_net_busnet_6, 
        EV_RAM_DO_A_net_busnet_5, EV_RAM_DO_A_net_busnet_4, 
        EV_RAM_DO_A_net_busnet_3, EV_RAM_DO_A_net_busnet_2, 
        EV_RAM_DO_A_net_busnet_1, EV_RAM_DO_A_net_busnet_0, 
        TR_RAM_RW_A_net, TR_RAM_CSN_A_net, 
        TR_RAM_DI_A_net_busnet_8, TR_RAM_DI_A_net_busnet_7, 
        TR_RAM_DI_A_net_busnet_6, TR_RAM_DI_A_net_busnet_5, 
        TR_RAM_DI_A_net_busnet_4, TR_RAM_DI_A_net_busnet_3, 
        TR_RAM_DI_A_net_busnet_2, TR_RAM_DI_A_net_busnet_1, 
        TR_RAM_DI_A_net_busnet_0, TR_RAM_ADDR_A_net_busnet_8, 
        TR_RAM_ADDR_A_net_busnet_7, TR_RAM_ADDR_A_net_busnet_6, 
        TR_RAM_ADDR_A_net_busnet_5, TR_RAM_ADDR_A_net_busnet_4, 
        TR_RAM_ADDR_A_net_busnet_3, TR_RAM_ADDR_A_net_busnet_2, 
        TR_RAM_ADDR_A_net_busnet_1, TR_RAM_ADDR_A_net_busnet_0, 
        TR_RAM_RW_B_net, TR_RAM_CSN_B_net, 
        TR_RAM_DI_B_net_busnet_8, TR_RAM_DI_B_net_busnet_7, 
        TR_RAM_DI_B_net_busnet_6, TR_RAM_DI_B_net_busnet_5, 
        TR_RAM_DI_B_net_busnet_4, TR_RAM_DI_B_net_busnet_3, 
        TR_RAM_DI_B_net_busnet_2, TR_RAM_DI_B_net_busnet_1, 
        TR_RAM_DI_B_net_busnet_0, TR_RAM_ADDR_B_net_busnet_8, 
        TR_RAM_ADDR_B_net_busnet_7, TR_RAM_ADDR_B_net_busnet_6, 
        TR_RAM_ADDR_B_net_busnet_5, TR_RAM_ADDR_B_net_busnet_4, 
        TR_RAM_ADDR_B_net_busnet_3, TR_RAM_ADDR_B_net_busnet_2, 
        TR_RAM_ADDR_B_net_busnet_1, TR_RAM_ADDR_B_net_busnet_0, 
        TR_RAM_DO_B_net_busnet_8, TR_RAM_DO_B_net_busnet_7, 
        TR_RAM_DO_B_net_busnet_6, TR_RAM_DO_B_net_busnet_5, 
        TR_RAM_DO_B_net_busnet_4, TR_RAM_DO_B_net_busnet_3, 
        TR_RAM_DO_B_net_busnet_2, TR_RAM_DO_B_net_busnet_1, 
        TR_RAM_DO_B_net_busnet_0, INIT_ACM_WEN_OR_net, AV0_net, 
        AT0_net, AG0_net, AG1_net, ATRETURN01_net : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc34, nc9, nc13, nc23, nc33, nc16, nc26, nc27, nc17, 
        nc36, nc37, nc5, nc4, nc25, nc15, nc35, nc28, nc18, nc38, 
        nc1, nc2, nc22, nc12, nc21, nc11, nc3, nc32, nc40, nc31, 
        nc7, nc6, nc19, nc29, nc39, nc8, nc20, nc10, nc24, nc14, 
        nc30 : std_logic;

begin 

    ASSC_DONE <= ASSC_DONE_net;
    ASSC_SEQCHANGE <= ASSC_SEQCHANGE_net;
    ASSC_SEQOUT(5) <= ASSC_SEQOUT_net_busnet_5;
    ASSC_SEQOUT(4) <= ASSC_SEQOUT_net_busnet_4;
    ASSC_SEQOUT(3) <= ASSC_SEQOUT_net_busnet_3;
    ASSC_SEQOUT(2) <= ASSC_SEQOUT_net_busnet_2;
    ASSC_SEQOUT(1) <= ASSC_SEQOUT_net_busnet_1;
    ASSC_SEQOUT(0) <= ASSC_SEQOUT_net_busnet_0;
    ASSC_SAMPFLAG <= ASSC_SAMPFLAG_net;
    ADC_CHNUMBER(4) <= ADC_CHNR_net_busnet_4;
    ADC_CHNUMBER(3) <= ADC_CHNR_net_busnet_3;
    ADC_CHNUMBER(2) <= ADC_CHNR_net_busnet_2;
    ADC_CHNUMBER(1) <= ADC_CHNR_net_busnet_1;
    ADC_CHNUMBER(0) <= ADC_CHNR_net_busnet_0;
    GND_net <= GND_power_net1;
    VCC_net <= VCC_power_net1;

    AB_INST : AB
      port map(DAVOUT0 => OPEN, DACOUT0 => OPEN, DATOUT0 => OPEN, 
        DAVOUT1 => OPEN, DACOUT1 => OPEN, DATOUT1 => OPEN, 
        DAVOUT2 => OPEN, DACOUT2 => OPEN, DATOUT2 => OPEN, 
        DAVOUT3 => OPEN, DACOUT3 => OPEN, DATOUT3 => OPEN, 
        DAVOUT4 => OPEN, DACOUT4 => OPEN, DATOUT4 => OPEN, 
        DAVOUT5 => OPEN, DACOUT5 => OPEN, DATOUT5 => OPEN, 
        DAVOUT6 => OPEN, DACOUT6 => OPEN, DATOUT6 => OPEN, 
        DAVOUT7 => OPEN, DACOUT7 => OPEN, DATOUT7 => OPEN, 
        DAVOUT8 => OPEN, DACOUT8 => OPEN, DATOUT8 => OPEN, 
        DAVOUT9 => OPEN, DACOUT9 => OPEN, DATOUT9 => OPEN, DENAV0
         => GND_net, DENAC0 => GND_net, DENAT0 => GND_net, DENAV1
         => GND_net, DENAC1 => GND_net, DENAT1 => GND_net, DENAV2
         => GND_net, DENAC2 => GND_net, DENAT2 => GND_net, DENAV3
         => GND_net, DENAC3 => GND_net, DENAT3 => GND_net, DENAV4
         => GND_net, DENAC4 => GND_net, DENAT4 => GND_net, DENAV5
         => GND_net, DENAC5 => GND_net, DENAT5 => GND_net, DENAV6
         => GND_net, DENAC6 => GND_net, DENAT6 => GND_net, DENAV7
         => GND_net, DENAC7 => GND_net, DENAT7 => GND_net, DENAV8
         => GND_net, DENAC8 => GND_net, DENAT8 => GND_net, DENAV9
         => GND_net, DENAC9 => GND_net, DENAT9 => GND_net, AV0
         => AV0_net, AC0 => GND_net, AT0 => AT0_net, AG0 => 
        AG0_net, AV1 => GND_net, AC1 => GND_net, AT1 => GND_net, 
        AG1 => AG1_net, AV2 => GND_net, AC2 => GND_net, AT2 => 
        GND_net, AG2 => OPEN, AV3 => GND_net, AC3 => GND_net, AT3
         => GND_net, AG3 => OPEN, AV4 => GND_net, AC4 => GND_net, 
        AT4 => GND_net, AG4 => OPEN, AV5 => GND_net, AC5 => 
        GND_net, AT5 => GND_net, AG5 => OPEN, AV6 => GND_net, AC6
         => GND_net, AT6 => GND_net, AG6 => OPEN, AV7 => GND_net, 
        AC7 => GND_net, AT7 => GND_net, AG7 => OPEN, AV8 => 
        GND_net, AC8 => GND_net, AT8 => GND_net, AG8 => OPEN, AV9
         => GND_net, AC9 => GND_net, AT9 => GND_net, AG9 => OPEN, 
        ATRETURN01 => ATRETURN01_net, ATRETURN23 => GND_net, 
        ATRETURN45 => GND_net, ATRETURN67 => GND_net, ATRETURN89
         => GND_net, VAREF => VAREF, GNDREF => GND_net, GDON0 => 
        Supply_good_en, GDON1 => Over_temp_en, GDON2 => GND_net, 
        GDON3 => GND_net, GDON4 => GND_net, GDON5 => GND_net, 
        GDON6 => GND_net, GDON7 => GND_net, GDON8 => GND_net, 
        GDON9 => GND_net, CMSTB0 => CM_STB_net_0, CMSTB1 => 
        CM_STB_net_1, CMSTB2 => CM_STB_net_2, CMSTB3 => 
        CM_STB_net_3, CMSTB4 => CM_STB_net_4, CMSTB5 => 
        CM_STB_net_5, CMSTB6 => CM_STB_net_6, CMSTB7 => 
        CM_STB_net_7, CMSTB8 => CM_STB_net_8, CMSTB9 => 
        CM_STB_net_9, TMSTB0 => TM_STB_net_0, TMSTB1 => 
        TM_STB_net_1, TMSTB2 => TM_STB_net_2, TMSTB3 => 
        TM_STB_net_3, TMSTB4 => TM_STB_net_4, TMSTB5 => 
        TM_STB_net_5, TMSTB6 => TM_STB_net_6, TMSTB7 => 
        TM_STB_net_7, TMSTB8 => TM_STB_net_8, TMSTB9 => 
        TM_STB_net_9, TMSTBINT => TM_STB_net_10, RESULT(11) => 
        ADC_RESULT_net_busnet_11, RESULT(10) => 
        ADC_RESULT_net_busnet_10, RESULT(9) => 
        ADC_RESULT_net_busnet_9, RESULT(8) => 
        ADC_RESULT_net_busnet_8, RESULT(7) => 
        ADC_RESULT_net_busnet_7, RESULT(6) => 
        ADC_RESULT_net_busnet_6, RESULT(5) => 
        ADC_RESULT_net_busnet_5, RESULT(4) => 
        ADC_RESULT_net_busnet_4, RESULT(3) => 
        ADC_RESULT_net_busnet_3, RESULT(2) => 
        ADC_RESULT_net_busnet_2, RESULT(1) => 
        ADC_RESULT_net_busnet_1, RESULT(0) => 
        ADC_RESULT_net_busnet_0, ACMRDATA(7) => ACMRDATA_I(7), 
        ACMRDATA(6) => ACMRDATA_I(6), ACMRDATA(5) => 
        ACMRDATA_I(5), ACMRDATA(4) => ACMRDATA_I(4), ACMRDATA(3)
         => ACMRDATA_I(3), ACMRDATA(2) => ACMRDATA_I(2), 
        ACMRDATA(1) => ACMRDATA_I(1), ACMRDATA(0) => 
        ACMRDATA_I(0), ACMWDATA(7) => INIT_DATA(7), ACMWDATA(6)
         => INIT_DATA(6), ACMWDATA(5) => INIT_DATA(5), 
        ACMWDATA(4) => INIT_DATA(4), ACMWDATA(3) => INIT_DATA(3), 
        ACMWDATA(2) => INIT_DATA(2), ACMWDATA(1) => INIT_DATA(1), 
        ACMWDATA(0) => INIT_DATA(0), ACMADDR(7) => INIT_ADDR(7), 
        ACMADDR(6) => INIT_ADDR(6), ACMADDR(5) => INIT_ADDR(5), 
        ACMADDR(4) => INIT_ADDR(4), ACMADDR(3) => INIT_ADDR(3), 
        ACMADDR(2) => INIT_ADDR(2), ACMADDR(1) => INIT_ADDR(1), 
        ACMADDR(0) => INIT_ADDR(0), STC(7) => 
        ADC_STC_net_busnet_7, STC(6) => ADC_STC_net_busnet_6, 
        STC(5) => ADC_STC_net_busnet_5, STC(4) => 
        ADC_STC_net_busnet_4, STC(3) => ADC_STC_net_busnet_3, 
        STC(2) => ADC_STC_net_busnet_2, STC(1) => 
        ADC_STC_net_busnet_1, STC(0) => ADC_STC_net_busnet_0, 
        TVC(7) => ADC_TVC_net_busnet_7, TVC(6) => 
        ADC_TVC_net_busnet_6, TVC(5) => ADC_TVC_net_busnet_5, 
        TVC(4) => ADC_TVC_net_busnet_4, TVC(3) => 
        ADC_TVC_net_busnet_3, TVC(2) => ADC_TVC_net_busnet_2, 
        TVC(1) => ADC_TVC_net_busnet_1, TVC(0) => 
        ADC_TVC_net_busnet_0, CHNUMBER(4) => 
        ADC_CHNR_net_busnet_4, CHNUMBER(3) => 
        ADC_CHNR_net_busnet_3, CHNUMBER(2) => 
        ADC_CHNR_net_busnet_2, CHNUMBER(1) => 
        ADC_CHNR_net_busnet_1, CHNUMBER(0) => 
        ADC_CHNR_net_busnet_0, MODE(3) => ADC_MODE_net_busnet_3, 
        MODE(2) => ADC_MODE_net_busnet_2, MODE(1) => 
        ADC_MODE_net_busnet_1, MODE(0) => ADC_MODE_net_busnet_0, 
        RTCXTLMODE(1) => nc34, RTCXTLMODE(0) => nc9, ACMRESET => 
        SYS_RESET, ACMCLK => ACMCLK, ACMWEN => 
        INIT_ACM_WEN_OR_net, VAREFSEL => ADC_VREFSEL_net, 
        DATAVALID => DATAVALID, CALIBRATE => ADC_CALIBRATE_net, 
        SAMPLE => OPEN, BUSY => ADC_BUSY_net, PWRDWN => 
        ADC_PDOWN_net, SYSCLK => SYS_CLK, ADCRESET => 
        ADC_RESET_net, ADCSTART => ADC_START_net, RTCMATCH => 
        OPEN, RTCPSMMATCH => OPEN, RTCXTLSEL => OPEN, RTCCLK => 
        GND_net);
    
    AV0_PAD : INBUF_A
      port map(PAD => AV5V, Y => AV0_net);
    
    Analog_smtr_ram_inst : Analog_smtr_ram
      port map(DATAA(8) => TR_RAM_DI_A_net_busnet_8, DATAA(7) => 
        TR_RAM_DI_A_net_busnet_7, DATAA(6) => 
        TR_RAM_DI_A_net_busnet_6, DATAA(5) => 
        TR_RAM_DI_A_net_busnet_5, DATAA(4) => 
        TR_RAM_DI_A_net_busnet_4, DATAA(3) => 
        TR_RAM_DI_A_net_busnet_3, DATAA(2) => 
        TR_RAM_DI_A_net_busnet_2, DATAA(1) => 
        TR_RAM_DI_A_net_busnet_1, DATAA(0) => 
        TR_RAM_DI_A_net_busnet_0, ADDRESSA(8) => 
        TR_RAM_ADDR_A_net_busnet_8, ADDRESSA(7) => 
        TR_RAM_ADDR_A_net_busnet_7, ADDRESSA(6) => 
        TR_RAM_ADDR_A_net_busnet_6, ADDRESSA(5) => 
        TR_RAM_ADDR_A_net_busnet_5, ADDRESSA(4) => 
        TR_RAM_ADDR_A_net_busnet_4, ADDRESSA(3) => 
        TR_RAM_ADDR_A_net_busnet_3, ADDRESSA(2) => 
        TR_RAM_ADDR_A_net_busnet_2, ADDRESSA(1) => 
        TR_RAM_ADDR_A_net_busnet_1, ADDRESSA(0) => 
        TR_RAM_ADDR_A_net_busnet_0, RWA => TR_RAM_RW_A_net, BLKA
         => TR_RAM_CSN_A_net, DATAB(8) => 
        TR_RAM_DI_B_net_busnet_8, DATAB(7) => 
        TR_RAM_DI_B_net_busnet_7, DATAB(6) => 
        TR_RAM_DI_B_net_busnet_6, DATAB(5) => 
        TR_RAM_DI_B_net_busnet_5, DATAB(4) => 
        TR_RAM_DI_B_net_busnet_4, DATAB(3) => 
        TR_RAM_DI_B_net_busnet_3, DATAB(2) => 
        TR_RAM_DI_B_net_busnet_2, DATAB(1) => 
        TR_RAM_DI_B_net_busnet_1, DATAB(0) => 
        TR_RAM_DI_B_net_busnet_0, ADDRESSB(8) => 
        TR_RAM_ADDR_B_net_busnet_8, ADDRESSB(7) => 
        TR_RAM_ADDR_B_net_busnet_7, ADDRESSB(6) => 
        TR_RAM_ADDR_B_net_busnet_6, ADDRESSB(5) => 
        TR_RAM_ADDR_B_net_busnet_5, ADDRESSB(4) => 
        TR_RAM_ADDR_B_net_busnet_4, ADDRESSB(3) => 
        TR_RAM_ADDR_B_net_busnet_3, ADDRESSB(2) => 
        TR_RAM_ADDR_B_net_busnet_2, ADDRESSB(1) => 
        TR_RAM_ADDR_B_net_busnet_1, ADDRESSB(0) => 
        TR_RAM_ADDR_B_net_busnet_0, RWB => TR_RAM_RW_B_net, BLKB
         => TR_RAM_CSN_B_net, CLOCK => SYS_CLK, RESET => 
        SYS_RESET, QA(8) => nc13, QA(7) => nc23, QA(6) => nc33, 
        QA(5) => nc16, QA(4) => nc26, QA(3) => nc27, QA(2) => 
        nc17, QA(1) => nc36, QA(0) => nc37, QB(8) => 
        TR_RAM_DO_B_net_busnet_8, QB(7) => 
        TR_RAM_DO_B_net_busnet_7, QB(6) => 
        TR_RAM_DO_B_net_busnet_6, QB(5) => 
        TR_RAM_DO_B_net_busnet_5, QB(4) => 
        TR_RAM_DO_B_net_busnet_4, QB(3) => 
        TR_RAM_DO_B_net_busnet_3, QB(2) => 
        TR_RAM_DO_B_net_busnet_2, QB(1) => 
        TR_RAM_DO_B_net_busnet_1, QB(0) => 
        TR_RAM_DO_B_net_busnet_0);
    
    INIT_ACMWEN_OR : OR2
      port map(A => INIT_ACM_WEN, B => GND_net, Y => 
        INIT_ACM_WEN_OR_net);
    
    AG1_PAD : OUTBUF_A
      port map(D => AG1_net, PAD => Over_temp);
    
    AG0_PAD : OUTBUF_A
      port map(D => AG0_net, PAD => Supply_good);
    
    ATRETURN01_PAD : INBUF_A
      port map(PAD => ATRETURN01, Y => ATRETURN01_net);
    
    Analog_smtr_wrapper_inst : Analog_smtr_wrapper
      port map(CLK => SYS_CLK, NRESET => SYS_RESET, EV_CHHOLD(4)
         => EV_CHHOLD_net_busnet_4, EV_CHHOLD(3) => 
        EV_CHHOLD_net_busnet_3, EV_CHHOLD(2) => 
        EV_CHHOLD_net_busnet_2, EV_CHHOLD(1) => 
        EV_CHHOLD_net_busnet_1, EV_CHHOLD(0) => 
        EV_CHHOLD_net_busnet_0, EV_DONE => EV_DONE_net, GPI(31)
         => GND_net, GPI(30) => GND_net, GPI(29) => GND_net, 
        GPI(28) => GND_net, GPI(27) => GND_net, GPI(26) => 
        GND_net, GPI(25) => GND_net, GPI(24) => GND_net, GPI(23)
         => GND_net, GPI(22) => GND_net, GPI(21) => GND_net, 
        GPI(20) => GND_net, GPI(19) => GND_net, GPI(18) => 
        GND_net, GPI(17) => GND_net, GPI(16) => GND_net, GPI(15)
         => GND_net, GPI(14) => GND_net, GPI(13) => GND_net, 
        GPI(12) => GND_net, GPI(11) => GND_net, GPI(10) => 
        GND_net, GPI(9) => GND_net, GPI(8) => GND_net, GPI(7) => 
        GND_net, GPI(6) => GND_net, GPI(5) => GND_net, GPI(4) => 
        GND_net, GPI(3) => GND_net, GPI(2) => GND_net, GPI(1) => 
        VCC_net, GPI(0) => GND_net, INIT_ADDR(8) => INIT_ADDR(8), 
        INIT_ADDR(7) => INIT_ADDR(7), INIT_ADDR(6) => 
        INIT_ADDR(6), INIT_ADDR(5) => INIT_ADDR(5), INIT_ADDR(4)
         => INIT_ADDR(4), INIT_ADDR(3) => INIT_ADDR(3), 
        INIT_ADDR(2) => INIT_ADDR(2), INIT_ADDR(1) => 
        INIT_ADDR(1), INIT_ADDR(0) => INIT_ADDR(0), INIT_TR_WR
         => INIT_TR_WEN, INIT_DI(8) => INIT_DATA(8), INIT_DI(7)
         => INIT_DATA(7), INIT_DI(6) => INIT_DATA(6), INIT_DI(5)
         => INIT_DATA(5), INIT_DI(4) => INIT_DATA(4), INIT_DI(3)
         => INIT_DATA(3), INIT_DI(2) => INIT_DATA(2), INIT_DI(1)
         => INIT_DATA(1), INIT_DI(0) => INIT_DATA(0), INIT_DONE
         => INIT_DONE, USER_TR_ADDR(8) => GND_net, 
        USER_TR_ADDR(7) => GND_net, USER_TR_ADDR(6) => GND_net, 
        USER_TR_ADDR(5) => GND_net, USER_TR_ADDR(4) => GND_net, 
        USER_TR_ADDR(3) => GND_net, USER_TR_ADDR(2) => GND_net, 
        USER_TR_ADDR(1) => GND_net, USER_TR_ADDR(0) => GND_net, 
        USER_TR_RD => GND_net, EV_RAM_DO_A(8) => 
        EV_RAM_DO_A_net_busnet_8, EV_RAM_DO_A(7) => 
        EV_RAM_DO_A_net_busnet_7, EV_RAM_DO_A(6) => 
        EV_RAM_DO_A_net_busnet_6, EV_RAM_DO_A(5) => 
        EV_RAM_DO_A_net_busnet_5, EV_RAM_DO_A(4) => 
        EV_RAM_DO_A_net_busnet_4, EV_RAM_DO_A(3) => 
        EV_RAM_DO_A_net_busnet_3, EV_RAM_DO_A(2) => 
        EV_RAM_DO_A_net_busnet_2, EV_RAM_DO_A(1) => 
        EV_RAM_DO_A_net_busnet_1, EV_RAM_DO_A(0) => 
        EV_RAM_DO_A_net_busnet_0, TR_RAM_DO_B(8) => 
        TR_RAM_DO_B_net_busnet_8, TR_RAM_DO_B(7) => 
        TR_RAM_DO_B_net_busnet_7, TR_RAM_DO_B(6) => 
        TR_RAM_DO_B_net_busnet_6, TR_RAM_DO_B(5) => 
        TR_RAM_DO_B_net_busnet_5, TR_RAM_DO_B(4) => 
        TR_RAM_DO_B_net_busnet_4, TR_RAM_DO_B(3) => 
        TR_RAM_DO_B_net_busnet_3, TR_RAM_DO_B(2) => 
        TR_RAM_DO_B_net_busnet_2, TR_RAM_DO_B(1) => 
        TR_RAM_DO_B_net_busnet_1, TR_RAM_DO_B(0) => 
        TR_RAM_DO_B_net_busnet_0, EV_RAM_WR_BUSY_B => 
        EV_RAM_WR_BUSY_B_net, GPO(31) => nc5, GPO(30) => nc4, 
        GPO(29) => nc25, GPO(28) => nc15, GPO(27) => nc35, 
        GPO(26) => nc28, GPO(25) => nc18, GPO(24) => nc38, 
        GPO(23) => nc1, GPO(22) => nc2, GPO(21) => nc22, GPO(20)
         => nc12, GPO(19) => nc21, GPO(18) => nc11, GPO(17) => 
        nc3, GPO(16) => nc32, GPO(15) => nc40, GPO(14) => nc31, 
        GPO(13) => nc7, GPO(12) => nc6, GPO(11) => nc19, GPO(10)
         => nc29, GPO(9) => nc39, GPO(8) => nc8, GPO(7) => nc20, 
        GPO(6) => nc10, GPO(5) => nc24, GPO(4) => nc14, GPO(3)
         => nc30, GPO(2) => Temp_over70C, GPO(1) => 
        AV5V_under4p75, GPO(0) => AV5V_over5p25, USER_TR_RAM_BUSY
         => OPEN, TR_TRFLAG => TR_TRFLAG_net, TR_DONE => 
        TR_DONE_net, TR_EV_ADDR(8) => TR_EV_ADDR_net_busnet_8, 
        TR_EV_ADDR(7) => TR_EV_ADDR_net_busnet_7, TR_EV_ADDR(6)
         => TR_EV_ADDR_net_busnet_6, TR_EV_ADDR(5) => 
        TR_EV_ADDR_net_busnet_5, TR_EV_ADDR(4) => 
        TR_EV_ADDR_net_busnet_4, TR_EV_ADDR(3) => 
        TR_EV_ADDR_net_busnet_3, TR_EV_ADDR(2) => 
        TR_EV_ADDR_net_busnet_2, TR_EV_ADDR(1) => 
        TR_EV_ADDR_net_busnet_1, TR_EV_ADDR(0) => 
        TR_EV_ADDR_net_busnet_0, TR_EV_RD => TR_EV_RD_net, 
        TR_RAM_ADDR_A(8) => TR_RAM_ADDR_A_net_busnet_8, 
        TR_RAM_ADDR_A(7) => TR_RAM_ADDR_A_net_busnet_7, 
        TR_RAM_ADDR_A(6) => TR_RAM_ADDR_A_net_busnet_6, 
        TR_RAM_ADDR_A(5) => TR_RAM_ADDR_A_net_busnet_5, 
        TR_RAM_ADDR_A(4) => TR_RAM_ADDR_A_net_busnet_4, 
        TR_RAM_ADDR_A(3) => TR_RAM_ADDR_A_net_busnet_3, 
        TR_RAM_ADDR_A(2) => TR_RAM_ADDR_A_net_busnet_2, 
        TR_RAM_ADDR_A(1) => TR_RAM_ADDR_A_net_busnet_1, 
        TR_RAM_ADDR_A(0) => TR_RAM_ADDR_A_net_busnet_0, 
        TR_RAM_RW_A => TR_RAM_RW_A_net, TR_RAM_CSN_A => 
        TR_RAM_CSN_A_net, TR_RAM_DI_A(8) => 
        TR_RAM_DI_A_net_busnet_8, TR_RAM_DI_A(7) => 
        TR_RAM_DI_A_net_busnet_7, TR_RAM_DI_A(6) => 
        TR_RAM_DI_A_net_busnet_6, TR_RAM_DI_A(5) => 
        TR_RAM_DI_A_net_busnet_5, TR_RAM_DI_A(4) => 
        TR_RAM_DI_A_net_busnet_4, TR_RAM_DI_A(3) => 
        TR_RAM_DI_A_net_busnet_3, TR_RAM_DI_A(2) => 
        TR_RAM_DI_A_net_busnet_2, TR_RAM_DI_A(1) => 
        TR_RAM_DI_A_net_busnet_1, TR_RAM_DI_A(0) => 
        TR_RAM_DI_A_net_busnet_0, TR_RAM_ADDR_B(8) => 
        TR_RAM_ADDR_B_net_busnet_8, TR_RAM_ADDR_B(7) => 
        TR_RAM_ADDR_B_net_busnet_7, TR_RAM_ADDR_B(6) => 
        TR_RAM_ADDR_B_net_busnet_6, TR_RAM_ADDR_B(5) => 
        TR_RAM_ADDR_B_net_busnet_5, TR_RAM_ADDR_B(4) => 
        TR_RAM_ADDR_B_net_busnet_4, TR_RAM_ADDR_B(3) => 
        TR_RAM_ADDR_B_net_busnet_3, TR_RAM_ADDR_B(2) => 
        TR_RAM_ADDR_B_net_busnet_2, TR_RAM_ADDR_B(1) => 
        TR_RAM_ADDR_B_net_busnet_1, TR_RAM_ADDR_B(0) => 
        TR_RAM_ADDR_B_net_busnet_0, TR_RAM_RW_B => 
        TR_RAM_RW_B_net, TR_RAM_CSN_B => TR_RAM_CSN_B_net, 
        TR_RAM_DI_B(8) => TR_RAM_DI_B_net_busnet_8, 
        TR_RAM_DI_B(7) => TR_RAM_DI_B_net_busnet_7, 
        TR_RAM_DI_B(6) => TR_RAM_DI_B_net_busnet_6, 
        TR_RAM_DI_B(5) => TR_RAM_DI_B_net_busnet_5, 
        TR_RAM_DI_B(4) => TR_RAM_DI_B_net_busnet_4, 
        TR_RAM_DI_B(3) => TR_RAM_DI_B_net_busnet_3, 
        TR_RAM_DI_B(2) => TR_RAM_DI_B_net_busnet_2, 
        TR_RAM_DI_B(1) => TR_RAM_DI_B_net_busnet_1, 
        TR_RAM_DI_B(0) => TR_RAM_DI_B_net_busnet_0, 
        TR_RAM_WR_BUSY_B => OPEN);
    
    Analog_assc_ram_inst : Analog_assc_ram
      port map(DATAA(8) => ASSC_RAM_DI_A_net_busnet_8, DATAA(7)
         => ASSC_RAM_DI_A_net_busnet_7, DATAA(6) => 
        ASSC_RAM_DI_A_net_busnet_6, DATAA(5) => 
        ASSC_RAM_DI_A_net_busnet_5, DATAA(4) => 
        ASSC_RAM_DI_A_net_busnet_4, DATAA(3) => 
        ASSC_RAM_DI_A_net_busnet_3, DATAA(2) => 
        ASSC_RAM_DI_A_net_busnet_2, DATAA(1) => 
        ASSC_RAM_DI_A_net_busnet_1, DATAA(0) => 
        ASSC_RAM_DI_A_net_busnet_0, ADDRESSA(8) => 
        ASSC_RAM_ADDR_A_net_busnet_8, ADDRESSA(7) => 
        ASSC_RAM_ADDR_A_net_busnet_7, ADDRESSA(6) => 
        ASSC_RAM_ADDR_A_net_busnet_6, ADDRESSA(5) => 
        ASSC_RAM_ADDR_A_net_busnet_5, ADDRESSA(4) => 
        ASSC_RAM_ADDR_A_net_busnet_4, ADDRESSA(3) => 
        ASSC_RAM_ADDR_A_net_busnet_3, ADDRESSA(2) => 
        ASSC_RAM_ADDR_A_net_busnet_2, ADDRESSA(1) => 
        ASSC_RAM_ADDR_A_net_busnet_1, ADDRESSA(0) => 
        ASSC_RAM_ADDR_A_net_busnet_0, RWA => ASSC_RAM_RW_A_net, 
        BLKA => ASSC_RAM_CSN_A_net, DATAB(8) => 
        ASSC_RAM_DI_B_net_busnet_8, DATAB(7) => 
        ASSC_RAM_DI_B_net_busnet_7, DATAB(6) => 
        ASSC_RAM_DI_B_net_busnet_6, DATAB(5) => 
        ASSC_RAM_DI_B_net_busnet_5, DATAB(4) => 
        ASSC_RAM_DI_B_net_busnet_4, DATAB(3) => 
        ASSC_RAM_DI_B_net_busnet_3, DATAB(2) => 
        ASSC_RAM_DI_B_net_busnet_2, DATAB(1) => 
        ASSC_RAM_DI_B_net_busnet_1, DATAB(0) => 
        ASSC_RAM_DI_B_net_busnet_0, ADDRESSB(8) => 
        ASSC_RAM_ADDR_B_net_busnet_8, ADDRESSB(7) => 
        ASSC_RAM_ADDR_B_net_busnet_7, ADDRESSB(6) => 
        ASSC_RAM_ADDR_B_net_busnet_6, ADDRESSB(5) => 
        ASSC_RAM_ADDR_B_net_busnet_5, ADDRESSB(4) => 
        ASSC_RAM_ADDR_B_net_busnet_4, ADDRESSB(3) => 
        ASSC_RAM_ADDR_B_net_busnet_3, ADDRESSB(2) => 
        ASSC_RAM_ADDR_B_net_busnet_2, ADDRESSB(1) => 
        ASSC_RAM_ADDR_B_net_busnet_1, ADDRESSB(0) => 
        ASSC_RAM_ADDR_B_net_busnet_0, RWB => ASSC_RAM_RW_B_net, 
        BLKB => ASSC_RAM_CSN_B_net, CLOCK => SYS_CLK, RESET => 
        SYS_RESET, QA(8) => ASSC_RAM_DO_A_net_busnet_8, QA(7) => 
        ASSC_RAM_DO_A_net_busnet_7, QA(6) => 
        ASSC_RAM_DO_A_net_busnet_6, QA(5) => 
        ASSC_RAM_DO_A_net_busnet_5, QA(4) => 
        ASSC_RAM_DO_A_net_busnet_4, QA(3) => 
        ASSC_RAM_DO_A_net_busnet_3, QA(2) => 
        ASSC_RAM_DO_A_net_busnet_2, QA(1) => 
        ASSC_RAM_DO_A_net_busnet_1, QA(0) => 
        ASSC_RAM_DO_A_net_busnet_0, QB(8) => 
        ASSC_RAM_DO_B_net_busnet_8, QB(7) => 
        ASSC_RAM_DO_B_net_busnet_7, QB(6) => 
        ASSC_RAM_DO_B_net_busnet_6, QB(5) => 
        ASSC_RAM_DO_B_net_busnet_5, QB(4) => 
        ASSC_RAM_DO_B_net_busnet_4, QB(3) => 
        ASSC_RAM_DO_B_net_busnet_3, QB(2) => 
        ASSC_RAM_DO_B_net_busnet_2, QB(1) => 
        ASSC_RAM_DO_B_net_busnet_1, QB(0) => 
        ASSC_RAM_DO_B_net_busnet_0);
    
    Analog_smev_wrapper_inst : Analog_smev_wrapper
      port map(CLK => SYS_CLK, NRESET => SYS_RESET, 
        ASSC_SEQOUT(5) => ASSC_SEQOUT_net_busnet_5, 
        ASSC_SEQOUT(4) => ASSC_SEQOUT_net_busnet_4, 
        ASSC_SEQOUT(3) => ASSC_SEQOUT_net_busnet_3, 
        ASSC_SEQOUT(2) => ASSC_SEQOUT_net_busnet_2, 
        ASSC_SEQOUT(1) => ASSC_SEQOUT_net_busnet_1, 
        ASSC_SEQOUT(0) => ASSC_SEQOUT_net_busnet_0, 
        ASSC_SEQCHANGE => ASSC_SEQCHANGE_net, ASSC_DONE => 
        ASSC_DONE_net, ASSC_SAMPFLAG => ASSC_SAMPFLAG_net, 
        ADC_CHNR(4) => ADC_CHNR_net_busnet_4, ADC_CHNR(3) => 
        ADC_CHNR_net_busnet_3, ADC_CHNR(2) => 
        ADC_CHNR_net_busnet_2, ADC_CHNR(1) => 
        ADC_CHNR_net_busnet_1, ADC_CHNR(0) => 
        ADC_CHNR_net_busnet_0, INIT_ADDR(8) => INIT_ADDR(8), 
        INIT_ADDR(7) => INIT_ADDR(7), INIT_ADDR(6) => 
        INIT_ADDR(6), INIT_ADDR(5) => INIT_ADDR(5), INIT_ADDR(4)
         => INIT_ADDR(4), INIT_ADDR(3) => INIT_ADDR(3), 
        INIT_ADDR(2) => INIT_ADDR(2), INIT_ADDR(1) => 
        INIT_ADDR(1), INIT_ADDR(0) => INIT_ADDR(0), INIT_EV_WR
         => INIT_EV_WEN, INIT_DI(8) => INIT_DATA(8), INIT_DI(7)
         => INIT_DATA(7), INIT_DI(6) => INIT_DATA(6), INIT_DI(5)
         => INIT_DATA(5), INIT_DI(4) => INIT_DATA(4), INIT_DI(3)
         => INIT_DATA(3), INIT_DI(2) => INIT_DATA(2), INIT_DI(1)
         => INIT_DATA(1), INIT_DI(0) => INIT_DATA(0), INIT_DONE
         => INIT_DONE, USER_EV_ADDR(8) => GND_net, 
        USER_EV_ADDR(7) => GND_net, USER_EV_ADDR(6) => GND_net, 
        USER_EV_ADDR(5) => GND_net, USER_EV_ADDR(4) => GND_net, 
        USER_EV_ADDR(3) => GND_net, USER_EV_ADDR(2) => GND_net, 
        USER_EV_ADDR(1) => GND_net, USER_EV_ADDR(0) => GND_net, 
        USER_EV_RD => GND_net, TR_EV_ADDR(8) => 
        TR_EV_ADDR_net_busnet_8, TR_EV_ADDR(7) => 
        TR_EV_ADDR_net_busnet_7, TR_EV_ADDR(6) => 
        TR_EV_ADDR_net_busnet_6, TR_EV_ADDR(5) => 
        TR_EV_ADDR_net_busnet_5, TR_EV_ADDR(4) => 
        TR_EV_ADDR_net_busnet_4, TR_EV_ADDR(3) => 
        TR_EV_ADDR_net_busnet_3, TR_EV_ADDR(2) => 
        TR_EV_ADDR_net_busnet_2, TR_EV_ADDR(1) => 
        TR_EV_ADDR_net_busnet_1, TR_EV_ADDR(0) => 
        TR_EV_ADDR_net_busnet_0, TR_EV_RD => TR_EV_RD_net, 
        ASSC_RAM_DO_A(8) => ASSC_RAM_DO_A_net_busnet_8, 
        ASSC_RAM_DO_A(7) => ASSC_RAM_DO_A_net_busnet_7, 
        ASSC_RAM_DO_A(6) => ASSC_RAM_DO_A_net_busnet_6, 
        ASSC_RAM_DO_A(5) => ASSC_RAM_DO_A_net_busnet_5, 
        ASSC_RAM_DO_A(4) => ASSC_RAM_DO_A_net_busnet_4, 
        ASSC_RAM_DO_A(3) => ASSC_RAM_DO_A_net_busnet_3, 
        ASSC_RAM_DO_A(2) => ASSC_RAM_DO_A_net_busnet_2, 
        ASSC_RAM_DO_A(1) => ASSC_RAM_DO_A_net_busnet_1, 
        ASSC_RAM_DO_A(0) => ASSC_RAM_DO_A_net_busnet_0, 
        EV_RAM_DO_B(8) => EV_RAM_DO_B_net_busnet_8, 
        EV_RAM_DO_B(7) => EV_RAM_DO_B_net_busnet_7, 
        EV_RAM_DO_B(6) => EV_RAM_DO_B_net_busnet_6, 
        EV_RAM_DO_B(5) => EV_RAM_DO_B_net_busnet_5, 
        EV_RAM_DO_B(4) => EV_RAM_DO_B_net_busnet_4, 
        EV_RAM_DO_B(3) => EV_RAM_DO_B_net_busnet_3, 
        EV_RAM_DO_B(2) => EV_RAM_DO_B_net_busnet_2, 
        EV_RAM_DO_B(1) => EV_RAM_DO_B_net_busnet_1, 
        EV_RAM_DO_B(0) => EV_RAM_DO_B_net_busnet_0, 
        ASSC_RAM_WR_BUSY_B => ASSC_RAM_WR_BUSY_B_net, 
        EV_CHHOLD(4) => EV_CHHOLD_net_busnet_4, EV_CHHOLD(3) => 
        EV_CHHOLD_net_busnet_3, EV_CHHOLD(2) => 
        EV_CHHOLD_net_busnet_2, EV_CHHOLD(1) => 
        EV_CHHOLD_net_busnet_1, EV_CHHOLD(0) => 
        EV_CHHOLD_net_busnet_0, USER_EV_RAM_BUSY => OPEN, 
        EV_EVFLAG => EV_EVFLAG_net, EV_DONE => EV_DONE_net, 
        EV_ASSC_ADDR(8) => EV_ASSCADDR_net_busnet_8, 
        EV_ASSC_ADDR(7) => EV_ASSCADDR_net_busnet_7, 
        EV_ASSC_ADDR(6) => EV_ASSCADDR_net_busnet_6, 
        EV_ASSC_ADDR(5) => EV_ASSCADDR_net_busnet_5, 
        EV_ASSC_ADDR(4) => EV_ASSCADDR_net_busnet_4, 
        EV_ASSC_ADDR(3) => EV_ASSCADDR_net_busnet_3, 
        EV_ASSC_ADDR(2) => EV_ASSCADDR_net_busnet_2, 
        EV_ASSC_ADDR(1) => EV_ASSCADDR_net_busnet_1, 
        EV_ASSC_ADDR(0) => EV_ASSCADDR_net_busnet_0, EV_ASSC_RD
         => EV_ASSC_RD_net, EV_RAM_ADDR_A(8) => 
        EV_RAM_ADDR_A_net_busnet_8, EV_RAM_ADDR_A(7) => 
        EV_RAM_ADDR_A_net_busnet_7, EV_RAM_ADDR_A(6) => 
        EV_RAM_ADDR_A_net_busnet_6, EV_RAM_ADDR_A(5) => 
        EV_RAM_ADDR_A_net_busnet_5, EV_RAM_ADDR_A(4) => 
        EV_RAM_ADDR_A_net_busnet_4, EV_RAM_ADDR_A(3) => 
        EV_RAM_ADDR_A_net_busnet_3, EV_RAM_ADDR_A(2) => 
        EV_RAM_ADDR_A_net_busnet_2, EV_RAM_ADDR_A(1) => 
        EV_RAM_ADDR_A_net_busnet_1, EV_RAM_ADDR_A(0) => 
        EV_RAM_ADDR_A_net_busnet_0, EV_RAM_RW_A => 
        EV_RAM_RW_A_net, EV_RAM_CSN_A => EV_RAM_CSN_A_net, 
        EV_RAM_DI_A(8) => EV_RAM_DI_A_net_busnet_8, 
        EV_RAM_DI_A(7) => EV_RAM_DI_A_net_busnet_7, 
        EV_RAM_DI_A(6) => EV_RAM_DI_A_net_busnet_6, 
        EV_RAM_DI_A(5) => EV_RAM_DI_A_net_busnet_5, 
        EV_RAM_DI_A(4) => EV_RAM_DI_A_net_busnet_4, 
        EV_RAM_DI_A(3) => EV_RAM_DI_A_net_busnet_3, 
        EV_RAM_DI_A(2) => EV_RAM_DI_A_net_busnet_2, 
        EV_RAM_DI_A(1) => EV_RAM_DI_A_net_busnet_1, 
        EV_RAM_DI_A(0) => EV_RAM_DI_A_net_busnet_0, 
        EV_RAM_ADDR_B(8) => EV_RAM_ADDR_B_net_busnet_8, 
        EV_RAM_ADDR_B(7) => EV_RAM_ADDR_B_net_busnet_7, 
        EV_RAM_ADDR_B(6) => EV_RAM_ADDR_B_net_busnet_6, 
        EV_RAM_ADDR_B(5) => EV_RAM_ADDR_B_net_busnet_5, 
        EV_RAM_ADDR_B(4) => EV_RAM_ADDR_B_net_busnet_4, 
        EV_RAM_ADDR_B(3) => EV_RAM_ADDR_B_net_busnet_3, 
        EV_RAM_ADDR_B(2) => EV_RAM_ADDR_B_net_busnet_2, 
        EV_RAM_ADDR_B(1) => EV_RAM_ADDR_B_net_busnet_1, 
        EV_RAM_ADDR_B(0) => EV_RAM_ADDR_B_net_busnet_0, 
        EV_RAM_RW_B => EV_RAM_RW_B_net, EV_RAM_CSN_B => 
        EV_RAM_CSN_B_net, EV_RAM_DI_B(8) => 
        EV_RAM_DI_B_net_busnet_8, EV_RAM_DI_B(7) => 
        EV_RAM_DI_B_net_busnet_7, EV_RAM_DI_B(6) => 
        EV_RAM_DI_B_net_busnet_6, EV_RAM_DI_B(5) => 
        EV_RAM_DI_B_net_busnet_5, EV_RAM_DI_B(4) => 
        EV_RAM_DI_B_net_busnet_4, EV_RAM_DI_B(3) => 
        EV_RAM_DI_B_net_busnet_3, EV_RAM_DI_B(2) => 
        EV_RAM_DI_B_net_busnet_2, EV_RAM_DI_B(1) => 
        EV_RAM_DI_B_net_busnet_1, EV_RAM_DI_B(0) => 
        EV_RAM_DI_B_net_busnet_0, EV_RAM_WR_BUSY_B => 
        EV_RAM_WR_BUSY_B_net);
    
    AT0_PAD : INBUF_A
      port map(PAD => Temp, Y => AT0_net);
    
    Analog_smev_ram_inst : Analog_smev_ram
      port map(DATAA(8) => EV_RAM_DI_A_net_busnet_8, DATAA(7) => 
        EV_RAM_DI_A_net_busnet_7, DATAA(6) => 
        EV_RAM_DI_A_net_busnet_6, DATAA(5) => 
        EV_RAM_DI_A_net_busnet_5, DATAA(4) => 
        EV_RAM_DI_A_net_busnet_4, DATAA(3) => 
        EV_RAM_DI_A_net_busnet_3, DATAA(2) => 
        EV_RAM_DI_A_net_busnet_2, DATAA(1) => 
        EV_RAM_DI_A_net_busnet_1, DATAA(0) => 
        EV_RAM_DI_A_net_busnet_0, ADDRESSA(8) => 
        EV_RAM_ADDR_A_net_busnet_8, ADDRESSA(7) => 
        EV_RAM_ADDR_A_net_busnet_7, ADDRESSA(6) => 
        EV_RAM_ADDR_A_net_busnet_6, ADDRESSA(5) => 
        EV_RAM_ADDR_A_net_busnet_5, ADDRESSA(4) => 
        EV_RAM_ADDR_A_net_busnet_4, ADDRESSA(3) => 
        EV_RAM_ADDR_A_net_busnet_3, ADDRESSA(2) => 
        EV_RAM_ADDR_A_net_busnet_2, ADDRESSA(1) => 
        EV_RAM_ADDR_A_net_busnet_1, ADDRESSA(0) => 
        EV_RAM_ADDR_A_net_busnet_0, RWA => EV_RAM_RW_A_net, BLKA
         => EV_RAM_CSN_A_net, DATAB(8) => 
        EV_RAM_DI_B_net_busnet_8, DATAB(7) => 
        EV_RAM_DI_B_net_busnet_7, DATAB(6) => 
        EV_RAM_DI_B_net_busnet_6, DATAB(5) => 
        EV_RAM_DI_B_net_busnet_5, DATAB(4) => 
        EV_RAM_DI_B_net_busnet_4, DATAB(3) => 
        EV_RAM_DI_B_net_busnet_3, DATAB(2) => 
        EV_RAM_DI_B_net_busnet_2, DATAB(1) => 
        EV_RAM_DI_B_net_busnet_1, DATAB(0) => 
        EV_RAM_DI_B_net_busnet_0, ADDRESSB(8) => 
        EV_RAM_ADDR_B_net_busnet_8, ADDRESSB(7) => 
        EV_RAM_ADDR_B_net_busnet_7, ADDRESSB(6) => 
        EV_RAM_ADDR_B_net_busnet_6, ADDRESSB(5) => 
        EV_RAM_ADDR_B_net_busnet_5, ADDRESSB(4) => 
        EV_RAM_ADDR_B_net_busnet_4, ADDRESSB(3) => 
        EV_RAM_ADDR_B_net_busnet_3, ADDRESSB(2) => 
        EV_RAM_ADDR_B_net_busnet_2, ADDRESSB(1) => 
        EV_RAM_ADDR_B_net_busnet_1, ADDRESSB(0) => 
        EV_RAM_ADDR_B_net_busnet_0, RWB => EV_RAM_RW_B_net, BLKB
         => EV_RAM_CSN_B_net, CLOCK => SYS_CLK, RESET => 
        SYS_RESET, QA(8) => EV_RAM_DO_A_net_busnet_8, QA(7) => 
        EV_RAM_DO_A_net_busnet_7, QA(6) => 
        EV_RAM_DO_A_net_busnet_6, QA(5) => 
        EV_RAM_DO_A_net_busnet_5, QA(4) => 
        EV_RAM_DO_A_net_busnet_4, QA(3) => 
        EV_RAM_DO_A_net_busnet_3, QA(2) => 
        EV_RAM_DO_A_net_busnet_2, QA(1) => 
        EV_RAM_DO_A_net_busnet_1, QA(0) => 
        EV_RAM_DO_A_net_busnet_0, QB(8) => 
        EV_RAM_DO_B_net_busnet_8, QB(7) => 
        EV_RAM_DO_B_net_busnet_7, QB(6) => 
        EV_RAM_DO_B_net_busnet_6, QB(5) => 
        EV_RAM_DO_B_net_busnet_5, QB(4) => 
        EV_RAM_DO_B_net_busnet_4, QB(3) => 
        EV_RAM_DO_B_net_busnet_3, QB(2) => 
        EV_RAM_DO_B_net_busnet_2, QB(1) => 
        EV_RAM_DO_B_net_busnet_1, QB(0) => 
        EV_RAM_DO_B_net_busnet_0);
    
    Analog_assc_wrapper_inst : Analog_assc_wrapper
      port map(CLK => SYS_CLK, NRESET => SYS_RESET, INIT_ADDR(8)
         => INIT_ADDR(8), INIT_ADDR(7) => INIT_ADDR(7), 
        INIT_ADDR(6) => INIT_ADDR(6), INIT_ADDR(5) => 
        INIT_ADDR(5), INIT_ADDR(4) => INIT_ADDR(4), INIT_ADDR(3)
         => INIT_ADDR(3), INIT_ADDR(2) => INIT_ADDR(2), 
        INIT_ADDR(1) => INIT_ADDR(1), INIT_ADDR(0) => 
        INIT_ADDR(0), INIT_ASSC_WR => INIT_ASSC_WEN, INIT_DI(8)
         => INIT_DATA(8), INIT_DI(7) => INIT_DATA(7), INIT_DI(6)
         => INIT_DATA(6), INIT_DI(5) => INIT_DATA(5), INIT_DI(4)
         => INIT_DATA(4), INIT_DI(3) => INIT_DATA(3), INIT_DI(2)
         => INIT_DATA(2), INIT_DI(1) => INIT_DATA(1), INIT_DI(0)
         => INIT_DATA(0), INIT_DONE => INIT_DONE, 
        USER_ASSC_ADDR(8) => GND_net, USER_ASSC_ADDR(7) => 
        GND_net, USER_ASSC_ADDR(6) => GND_net, USER_ASSC_ADDR(5)
         => GND_net, USER_ASSC_ADDR(4) => GND_net, 
        USER_ASSC_ADDR(3) => GND_net, USER_ASSC_ADDR(2) => 
        GND_net, USER_ASSC_ADDR(1) => GND_net, USER_ASSC_ADDR(0)
         => GND_net, USER_ASSC_RD => GND_net, EV_ASSC_ADDR(8) => 
        EV_ASSCADDR_net_busnet_8, EV_ASSC_ADDR(7) => 
        EV_ASSCADDR_net_busnet_7, EV_ASSC_ADDR(6) => 
        EV_ASSCADDR_net_busnet_6, EV_ASSC_ADDR(5) => 
        EV_ASSCADDR_net_busnet_5, EV_ASSC_ADDR(4) => 
        EV_ASSCADDR_net_busnet_4, EV_ASSC_ADDR(3) => 
        EV_ASSCADDR_net_busnet_3, EV_ASSC_ADDR(2) => 
        EV_ASSCADDR_net_busnet_2, EV_ASSC_ADDR(1) => 
        EV_ASSCADDR_net_busnet_1, EV_ASSC_ADDR(0) => 
        EV_ASSCADDR_net_busnet_0, EV_ASSC_RD => EV_ASSC_RD_net, 
        EV_EVFLAG => EV_EVFLAG_net, EV_DONE => EV_DONE_net, 
        TR_TRFLAG => TR_TRFLAG_net, TR_DONE => TR_DONE_net, 
        ASSC_SEQIN(5) => ASSC_SEQIN(5), ASSC_SEQIN(4) => 
        ASSC_SEQIN(4), ASSC_SEQIN(3) => ASSC_SEQIN(3), 
        ASSC_SEQIN(2) => ASSC_SEQIN(2), ASSC_SEQIN(1) => 
        ASSC_SEQIN(1), ASSC_SEQIN(0) => ASSC_SEQIN(0), 
        ASSC_RAM_DO_B(8) => ASSC_RAM_DO_B_net_busnet_8, 
        ASSC_RAM_DO_B(7) => ASSC_RAM_DO_B_net_busnet_7, 
        ASSC_RAM_DO_B(6) => ASSC_RAM_DO_B_net_busnet_6, 
        ASSC_RAM_DO_B(5) => ASSC_RAM_DO_B_net_busnet_5, 
        ASSC_RAM_DO_B(4) => ASSC_RAM_DO_B_net_busnet_4, 
        ASSC_RAM_DO_B(3) => ASSC_RAM_DO_B_net_busnet_3, 
        ASSC_RAM_DO_B(2) => ASSC_RAM_DO_B_net_busnet_2, 
        ASSC_RAM_DO_B(1) => ASSC_RAM_DO_B_net_busnet_1, 
        ASSC_RAM_DO_B(0) => ASSC_RAM_DO_B_net_busnet_0, 
        ASSC_XMODE => ASSC_XMODE, ASSC_XTRIG => ASSC_XTRIG, 
        ASSC_SEQJUMP => ASSC_SEQJUMP, ADC_CALIBRATE => 
        ADC_CALIBRATE_net, ADC_BUSY => ADC_BUSY_net, 
        ADC_RESULT(11) => ADC_RESULT_net_busnet_11, 
        ADC_RESULT(10) => ADC_RESULT_net_busnet_10, ADC_RESULT(9)
         => ADC_RESULT_net_busnet_9, ADC_RESULT(8) => 
        ADC_RESULT_net_busnet_8, ADC_RESULT(7) => 
        ADC_RESULT_net_busnet_7, ADC_RESULT(6) => 
        ADC_RESULT_net_busnet_6, ADC_RESULT(5) => 
        ADC_RESULT_net_busnet_5, ADC_RESULT(4) => 
        ADC_RESULT_net_busnet_4, ADC_RESULT(3) => 
        ADC_RESULT_net_busnet_3, ADC_RESULT(2) => 
        ADC_RESULT_net_busnet_2, ADC_RESULT(1) => 
        ADC_RESULT_net_busnet_1, ADC_RESULT(0) => 
        ADC_RESULT_net_busnet_0, USER_ASSC_RAM_BUSY => OPEN, 
        ASSC_RAM_ADDR_A(8) => ASSC_RAM_ADDR_A_net_busnet_8, 
        ASSC_RAM_ADDR_A(7) => ASSC_RAM_ADDR_A_net_busnet_7, 
        ASSC_RAM_ADDR_A(6) => ASSC_RAM_ADDR_A_net_busnet_6, 
        ASSC_RAM_ADDR_A(5) => ASSC_RAM_ADDR_A_net_busnet_5, 
        ASSC_RAM_ADDR_A(4) => ASSC_RAM_ADDR_A_net_busnet_4, 
        ASSC_RAM_ADDR_A(3) => ASSC_RAM_ADDR_A_net_busnet_3, 
        ASSC_RAM_ADDR_A(2) => ASSC_RAM_ADDR_A_net_busnet_2, 
        ASSC_RAM_ADDR_A(1) => ASSC_RAM_ADDR_A_net_busnet_1, 
        ASSC_RAM_ADDR_A(0) => ASSC_RAM_ADDR_A_net_busnet_0, 
        ASSC_RAM_RW_A => ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A => 
        ASSC_RAM_CSN_A_net, ASSC_RAM_DI_A(8) => 
        ASSC_RAM_DI_A_net_busnet_8, ASSC_RAM_DI_A(7) => 
        ASSC_RAM_DI_A_net_busnet_7, ASSC_RAM_DI_A(6) => 
        ASSC_RAM_DI_A_net_busnet_6, ASSC_RAM_DI_A(5) => 
        ASSC_RAM_DI_A_net_busnet_5, ASSC_RAM_DI_A(4) => 
        ASSC_RAM_DI_A_net_busnet_4, ASSC_RAM_DI_A(3) => 
        ASSC_RAM_DI_A_net_busnet_3, ASSC_RAM_DI_A(2) => 
        ASSC_RAM_DI_A_net_busnet_2, ASSC_RAM_DI_A(1) => 
        ASSC_RAM_DI_A_net_busnet_1, ASSC_RAM_DI_A(0) => 
        ASSC_RAM_DI_A_net_busnet_0, ASSC_RAM_ADDR_B(8) => 
        ASSC_RAM_ADDR_B_net_busnet_8, ASSC_RAM_ADDR_B(7) => 
        ASSC_RAM_ADDR_B_net_busnet_7, ASSC_RAM_ADDR_B(6) => 
        ASSC_RAM_ADDR_B_net_busnet_6, ASSC_RAM_ADDR_B(5) => 
        ASSC_RAM_ADDR_B_net_busnet_5, ASSC_RAM_ADDR_B(4) => 
        ASSC_RAM_ADDR_B_net_busnet_4, ASSC_RAM_ADDR_B(3) => 
        ASSC_RAM_ADDR_B_net_busnet_3, ASSC_RAM_ADDR_B(2) => 
        ASSC_RAM_ADDR_B_net_busnet_2, ASSC_RAM_ADDR_B(1) => 
        ASSC_RAM_ADDR_B_net_busnet_1, ASSC_RAM_ADDR_B(0) => 
        ASSC_RAM_ADDR_B_net_busnet_0, ASSC_RAM_RW_B => 
        ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B => ASSC_RAM_CSN_B_net, 
        ASSC_RAM_DI_B(8) => ASSC_RAM_DI_B_net_busnet_8, 
        ASSC_RAM_DI_B(7) => ASSC_RAM_DI_B_net_busnet_7, 
        ASSC_RAM_DI_B(6) => ASSC_RAM_DI_B_net_busnet_6, 
        ASSC_RAM_DI_B(5) => ASSC_RAM_DI_B_net_busnet_5, 
        ASSC_RAM_DI_B(4) => ASSC_RAM_DI_B_net_busnet_4, 
        ASSC_RAM_DI_B(3) => ASSC_RAM_DI_B_net_busnet_3, 
        ASSC_RAM_DI_B(2) => ASSC_RAM_DI_B_net_busnet_2, 
        ASSC_RAM_DI_B(1) => ASSC_RAM_DI_B_net_busnet_1, 
        ASSC_RAM_DI_B(0) => ASSC_RAM_DI_B_net_busnet_0, 
        ASSC_SEQOUT(5) => ASSC_SEQOUT_net_busnet_5, 
        ASSC_SEQOUT(4) => ASSC_SEQOUT_net_busnet_4, 
        ASSC_SEQOUT(3) => ASSC_SEQOUT_net_busnet_3, 
        ASSC_SEQOUT(2) => ASSC_SEQOUT_net_busnet_2, 
        ASSC_SEQOUT(1) => ASSC_SEQOUT_net_busnet_1, 
        ASSC_SEQOUT(0) => ASSC_SEQOUT_net_busnet_0, 
        ASSC_SEQCHANGE => ASSC_SEQCHANGE_net, ASSC_DONE => 
        ASSC_DONE_net, ASSC_WAIT => ASSC_WAIT, ASSC_SAMPFLAG => 
        ASSC_SAMPFLAG_net, ASSC_CHSAT => ASSC_CHSAT, ASSC_CHLATD
         => ASSC_CHLATD, ADC_START => ADC_START_net, ADC_PDOWN
         => ADC_PDOWN_net, ADC_RESET => ADC_RESET_net, 
        ADC_MODE(3) => ADC_MODE_net_busnet_3, ADC_MODE(2) => 
        ADC_MODE_net_busnet_2, ADC_MODE(1) => 
        ADC_MODE_net_busnet_1, ADC_MODE(0) => 
        ADC_MODE_net_busnet_0, ADC_VREFSEL => ADC_VREFSEL_net, 
        ADC_CHNR(4) => ADC_CHNR_net_busnet_4, ADC_CHNR(3) => 
        ADC_CHNR_net_busnet_3, ADC_CHNR(2) => 
        ADC_CHNR_net_busnet_2, ADC_CHNR(1) => 
        ADC_CHNR_net_busnet_1, ADC_CHNR(0) => 
        ADC_CHNR_net_busnet_0, ADC_STC(7) => ADC_STC_net_busnet_7, 
        ADC_STC(6) => ADC_STC_net_busnet_6, ADC_STC(5) => 
        ADC_STC_net_busnet_5, ADC_STC(4) => ADC_STC_net_busnet_4, 
        ADC_STC(3) => ADC_STC_net_busnet_3, ADC_STC(2) => 
        ADC_STC_net_busnet_2, ADC_STC(1) => ADC_STC_net_busnet_1, 
        ADC_STC(0) => ADC_STC_net_busnet_0, ADC_DVC(7) => 
        ADC_TVC_net_busnet_7, ADC_DVC(6) => ADC_TVC_net_busnet_6, 
        ADC_DVC(5) => ADC_TVC_net_busnet_5, ADC_DVC(4) => 
        ADC_TVC_net_busnet_4, ADC_DVC(3) => ADC_TVC_net_busnet_3, 
        ADC_DVC(2) => ADC_TVC_net_busnet_2, ADC_DVC(1) => 
        ADC_TVC_net_busnet_1, ADC_DVC(0) => ADC_TVC_net_busnet_0, 
        CM_STB(9) => CM_STB_net_9, CM_STB(8) => CM_STB_net_8, 
        CM_STB(7) => CM_STB_net_7, CM_STB(6) => CM_STB_net_6, 
        CM_STB(5) => CM_STB_net_5, CM_STB(4) => CM_STB_net_4, 
        CM_STB(3) => CM_STB_net_3, CM_STB(2) => CM_STB_net_2, 
        CM_STB(1) => CM_STB_net_1, CM_STB(0) => CM_STB_net_0, 
        TM_STB(10) => TM_STB_net_10, TM_STB(9) => TM_STB_net_9, 
        TM_STB(8) => TM_STB_net_8, TM_STB(7) => TM_STB_net_7, 
        TM_STB(6) => TM_STB_net_6, TM_STB(5) => TM_STB_net_5, 
        TM_STB(4) => TM_STB_net_4, TM_STB(3) => TM_STB_net_3, 
        TM_STB(2) => TM_STB_net_2, TM_STB(1) => TM_STB_net_1, 
        TM_STB(0) => TM_STB_net_0, ASSC_RAM_WR_BUSY_B => 
        ASSC_RAM_WR_BUSY_B_net);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 

-- _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._

-- _CFG_File_Contents_

-- 
-- adc_set_engine -hdl VHDL \
--                -toplevel "Analog" \
--                -workdir {.} \
--                -commondir {./common} \
--                -die "AFS250" \
--                -package "256 FBGA" \
--                -memory_file_format INTELHEX \
--                -verbosity 0
-- 
-- adc_set_system -system_frequency " 40.00 Mhz" \
--                -mode 12 \
--                -calibrate 1 \
--                -allow_assc_repeat 0 \
--                -export_assc_status 1 \
--                -export_smev_status 0 \
--                -export_assc_ram 0 \
--                -export_smev_ram 0 \
--                -export_adc_result 0 \
--                -export_acm_bus 1 \
--                -system_configuration "ALL_IP" 
-- 
-- adc_set_rtc -enable 0 \
--             -osc_mode "EXTERNAL_CRYSTAL" \
--             -rtc_frequency " 32.000 Khz" \
--             -match 0 \
--             -counter 0 \
--             -reset_count_on_match 1 \
--             -enable_vr 0
-- 
-- adc_set_voltage_channel -channel_name AV5V \
--                         -maximum_supply_voltage " 5.500000 V" \
--                         -pre_scalar " 8.000000 V" \
--                         -post_scalar " 8.000000 V" \
--                         -use_prescalar 1 \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin R5
-- 
-- 
-- adc_set_voltage_flag -channel_name AV5V \
--                      -type OVER \
--                      -port_name over5p25 \
--                      -threshold " 5.250000 V" \
--                      -state_filter_0_to_1 0 \
--                      -state_filter_1_to_0 0
-- 
-- adc_set_voltage_flag -channel_name AV5V \
--                      -type UNDER \
--                      -port_name under4p75 \
--                      -threshold " 4.750000 V" \
--                      -state_filter_0_to_1 0 \
--                      -state_filter_1_to_0 0
-- 
-- adc_set_temperature_channel -channel_name Temp \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000 C" \
--                         -settling_time " 5.000 us"
-- 
-- adc_set_temperature_flag -channel_name Temp \
--                      -type OVER \
--                      -port_name over70C \
--                      -threshold " 70.000 C" \
--                      -state_filter_0_to_1 0 \
--                      -state_filter_1_to_0 0
-- 
-- adc_set_output_channel -channel_name Supply_good \
--                        -enable_port_name Supply_good_en \
--                        -source_sink_current " 1.000 uA" \
--                        -polarity POSITIVE
-- 
-- adc_set_output_channel -channel_name Over_temp \
--                        -enable_port_name Over_temp_en \
--                        -source_sink_current " 1.000 uA" \
--                        -polarity POSITIVE
-- 
-- adc_set_sequencer -use_external_trigger 1 
-- 
-- adc_set_sequencer_procedure -procedure_name Main \
--                             -lock 1 \
--                             -start_slot 0
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name AV5V 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Temp 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 0 \
--                                  -function SAMPLE \
--                                  -signal_name AV5V \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 1 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Temp \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Calibrate \
--                             -lock 0 \
--                             -start_slot 2
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Calibrate \
--                                  -logical_slot 0 \
--                                  -function CALIBRATE_JUMP \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 

-- _GEN_File_Contents_

-- DESIGN:Analog
-- DESDIR:D:/Actelprj/VT_Mon_vhd/smartgen\Analog
-- FAM:Fusion
-- MGNCMPL:F
-- MGNTIMER:F
-- OUTFORMAT:VHDL
-- LPMTYPE:LPM_ANALOGSYS
-- LPM_HINT:NONE
-- CONFIGFILE:Analog.cfg

-- _End_Comments_

