--#####################################################################
-- component Analog_smev_wrapper
-- port ( 
--     CLK:in std_logic;
--     NRESET:in std_logic;
--     ASSC_SEQOUT:in std_logic_vector(6-1 downto 0);
--     ASSC_SEQCHANGE:in std_logic;
--     ASSC_DONE:in std_logic;
--     ASSC_SAMPFLAG:in std_logic;
--     ASSC_RAM_WR_BUSY_B:in std_logic;
--     ADC_CHNR:in std_logic_vector(4 downto 0);
--     EV_CHHOLD:out std_logic_vector(4 downto 0);
--     INIT_ADDR:in std_logic_vector(9-1 downto 0);
--     INIT_EV_WR:in std_logic;
--     INIT_DI:in std_logic_vector(8 downto 0);
--     INIT_DONE:in std_logic;
--     USER_EV_ADDR:in std_logic_vector(9-1 downto 0);
--     USER_EV_RD:in std_logic;
--     USER_EV_RAM_BUSY:out std_logic;
--     TR_EV_ADDR:in std_logic_vector(9-1 downto 0);
--     TR_EV_RD:in std_logic;
--     EV_EVFLAG:out std_logic;
--     EV_DONE:out std_logic;
--     EV_ASSC_ADDR:out std_logic_vector(8 downto 0);
--     EV_ASSC_RD:out std_logic;
--     ASSC_RAM_DO_A:in std_logic_vector(8 downto 0);
--     EV_RAM_ADDR_A:out std_logic_vector(9-1 downto 0);
--     EV_RAM_RW_A:out std_logic;
--     EV_RAM_CSN_A:out std_logic;
--     EV_RAM_DI_A:out std_logic_vector(8 downto 0);
--     EV_RAM_ADDR_B:out std_logic_vector(9-1 downto 0);
--     EV_RAM_RW_B:out std_logic;
--     EV_RAM_CSN_B:out std_logic;
--     EV_RAM_DI_B:out std_logic_vector(8 downto 0);
--     EV_RAM_DO_B:in std_logic_vector(8 downto 0);
--     EV_RAM_WR_BUSY_B:out std_logic
--      );
-- end component;

--U0:Analog_smev_wrapper
--port map(
--         CLK=>  ;
--         NRESET=>  ;
--         ASSC_SEQOUT=>  ;
--         ASSC_SEQCHANGE=>  ;
--         ASSC_DONE=>  ;
--         ASSC_SAMPFLAG=>  ;
--         ASSC_RAM_WR_BUSY_B=>  ;
--         ADC_CHNR=>  ;
--         EV_CHHOLD=>  ;
--         INIT_ADDR=>  ;
--         INIT_EV_WR=>  ;
--         INIT_DI=>  ;
--         INIT_DONE=>  ;
--         USER_EV_ADDR=>  ;
--         USER_EV_RD=>  ;
--         USER_EV_RAM_BUSY=>  ;
--         TR_EV_ADDR=>  ;
--         TR_EV_RD=>  ;
--         EV_EVFLAG=>  ;
--         EV_DONE=>  ;
--         EV_ASSC_ADDR=>  ;
--         EV_ASSC_RD=>  ;
--         ASSC_RAM_DO_A=>  ;
--         EV_RAM_ADDR_A=>  ;
--         EV_RAM_RW_A=>  ;
--         EV_RAM_CSN_A=>  ;
--         EV_RAM_DI_A=>  ;
--         EV_RAM_ADDR_B=>  ;
--         EV_RAM_RW_B=>  ;
--         EV_RAM_CSN_B=>  ;
--         EV_RAM_DI_B=>  ;
--         EV_RAM_DO_B=>  ;
--         EV_RAM_WR_BUSY_B=>  
--        );
--#####################################################################


library IEEE ;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity Analog_smev_wrapper is  
port ( 
     CLK:in std_logic;
     NRESET:in std_logic;
     ASSC_SEQOUT:in std_logic_vector(6-1 downto 0);
     ASSC_SEQCHANGE:in std_logic;
     ASSC_DONE:in std_logic;
     ASSC_SAMPFLAG:in std_logic;
     ASSC_RAM_WR_BUSY_B:in std_logic;
     ADC_CHNR:in std_logic_vector(4 downto 0);
     EV_CHHOLD:out std_logic_vector(4 downto 0);
     INIT_ADDR:in std_logic_vector(9-1 downto 0);
     INIT_EV_WR:in std_logic;
     INIT_DI:in std_logic_vector(8 downto 0);
     INIT_DONE:in std_logic;
     USER_EV_ADDR:in std_logic_vector(9-1 downto 0);
     USER_EV_RD:in std_logic;
     USER_EV_RAM_BUSY:out std_logic;
     TR_EV_ADDR:in std_logic_vector(9-1 downto 0);
     TR_EV_RD:in std_logic;
     EV_EVFLAG:out std_logic;
     EV_DONE:out std_logic;
     EV_ASSC_ADDR:out std_logic_vector(8 downto 0);
     EV_ASSC_RD:out std_logic;
     ASSC_RAM_DO_A:in std_logic_vector(8 downto 0);
     EV_RAM_ADDR_A:out std_logic_vector(9-1 downto 0);
     EV_RAM_RW_A:out std_logic;
     EV_RAM_CSN_A:out std_logic;
     EV_RAM_DI_A:out std_logic_vector(8 downto 0);
     EV_RAM_ADDR_B:out std_logic_vector(9-1 downto 0);
     EV_RAM_RW_B:out std_logic;
     EV_RAM_CSN_B:out std_logic;
     EV_RAM_DI_B:out std_logic_vector(8 downto 0);
     EV_RAM_DO_B:in std_logic_vector(8 downto 0);
     EV_RAM_WR_BUSY_B:out std_logic
     );
end Analog_smev_wrapper;

architecture DEF_ARCH of Analog_smev_wrapper is

component SMEV

generic(
     TS_WIDTH:integer;
     ALLOW_USER_EV:integer;
     ALLOW_DLPF:integer;
     ALLOW_A_PLUS_B:integer;
     ALLOW_A_MINUS_B:integer;
     ALLOW_A_GT_B:integer;
     EV_ASIZE:integer;
     ST_CNT_WIDTH:integer
        );
port(
     CLK:in std_logic;
     NRESET:in std_logic;
     ASSC_SEQOUT:in std_logic_vector(TS_WIDTH-1 downto 0);
     ASSC_SEQCHANGE:in std_logic;
     ASSC_DONE:in std_logic;
     ASSC_SAMPFLAG:in std_logic;
     ASSC_RAM_WR_BUSY_B:in std_logic;
     ADC_CHNR:in std_logic_vector(4 downto 0);
     EV_CHHOLD:out std_logic_vector(4 downto 0);
     INIT_ADDR:in std_logic_vector(EV_ASIZE-1 downto 0);
     INIT_EV_WR:in std_logic;
     INIT_DI:in std_logic_vector(8 downto 0);
     INIT_DONE:in std_logic;
     USER_EV_ADDR:in std_logic_vector(EV_ASIZE-1 downto 0);
     USER_EV_RD:in std_logic;
     USER_EV_RAM_BUSY:out std_logic;
     TR_EV_ADDR:in std_logic_vector(EV_ASIZE-1 downto 0);
     TR_EV_RD:in std_logic;
     EV_EVFLAG:out std_logic;
     EV_DONE:out std_logic;
     EV_ASSC_ADDR:out std_logic_vector(8 downto 0);
     EV_ASSC_RD:out std_logic;
     ASSC_RAM_DO_A:in std_logic_vector(8 downto 0);
     EV_RAM_ADDR_A:out std_logic_vector(EV_ASIZE-1 downto 0);
     EV_RAM_RW_A:out std_logic;
     EV_RAM_CSN_A:out std_logic;
     EV_RAM_DI_A:out std_logic_vector(8 downto 0);
     EV_RAM_ADDR_B:out std_logic_vector(EV_ASIZE-1 downto 0);
     EV_RAM_RW_B:out std_logic;
     EV_RAM_CSN_B:out std_logic;
     EV_RAM_DI_B:out std_logic_vector(8 downto 0);
     EV_RAM_DO_B:in std_logic_vector(8 downto 0);
     EV_RAM_WR_BUSY_B:out std_logic
     );
end component;

begin

U0:SMEV
generic map(
             TS_WIDTH=>6,
             ALLOW_USER_EV=>0,
             ALLOW_DLPF=>1,
             ALLOW_A_PLUS_B=>0,
             ALLOW_A_MINUS_B=>0,
             ALLOW_A_GT_B=>1,
             EV_ASIZE=>9,
             ST_CNT_WIDTH=>5
           )

port map(
         CLK=>CLK,
         NRESET=>NRESET,
         ASSC_SEQOUT=>ASSC_SEQOUT,
         ASSC_SEQCHANGE=>ASSC_SEQCHANGE,
         ASSC_DONE=>ASSC_DONE,
         ASSC_SAMPFLAG=>ASSC_SAMPFLAG,
         ASSC_RAM_WR_BUSY_B=>ASSC_RAM_WR_BUSY_B,
         ADC_CHNR=>ADC_CHNR,
         EV_CHHOLD=>EV_CHHOLD,
         INIT_ADDR=>INIT_ADDR,
         INIT_EV_WR=>INIT_EV_WR,
         INIT_DI=>INIT_DI,
         INIT_DONE=>INIT_DONE,
         USER_EV_ADDR=>USER_EV_ADDR,
         USER_EV_RD=>USER_EV_RD,
         USER_EV_RAM_BUSY=>USER_EV_RAM_BUSY,
         TR_EV_ADDR=>TR_EV_ADDR,
         TR_EV_RD=>TR_EV_RD,
         EV_EVFLAG=>EV_EVFLAG,
         EV_DONE=>EV_DONE,
         EV_ASSC_ADDR=>EV_ASSC_ADDR,
         EV_ASSC_RD=>EV_ASSC_RD,
         ASSC_RAM_DO_A=>ASSC_RAM_DO_A,
         EV_RAM_ADDR_A=>EV_RAM_ADDR_A,
         EV_RAM_RW_A=>EV_RAM_RW_A,
         EV_RAM_CSN_A=>EV_RAM_CSN_A,
         EV_RAM_DI_A=>EV_RAM_DI_A,
         EV_RAM_ADDR_B=>EV_RAM_ADDR_B,
         EV_RAM_RW_B=>EV_RAM_RW_B,
         EV_RAM_CSN_B=>EV_RAM_CSN_B,
         EV_RAM_DI_B=>EV_RAM_DI_B,
         EV_RAM_DO_B=>EV_RAM_DO_B,
         EV_RAM_WR_BUSY_B=>EV_RAM_WR_BUSY_B
        );
end DEF_ARCH;
