-- Generated by WaveFormer Lite Version 11.11d at 14:15:55 on 3/1/2007
-- Stimulator for stimulus

-- Generation Settings:
--   Export type: Stimulus only (reactive export not enabled)
--                Delays, Samples, Markers, etc will not generate code.

-- Clock Domains:

--   Unclocked
--   ---------
--     Signals:
--       SYS_RESET
--       INIT_POWER_UP
--       ATRETURN01
--       AV5V
--       Temp

library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
library fusion;
use fusion.analog_io.all;
-- Additional libraries used by Model Under Test.
library ieee;
use ieee.std_logic_unsigned.all;
-- End Additional libraries used by Model Under Test.

entity stimulus is
  port (
    CLK40M : inout std_logic := '0';
    SYS_RESET : inout std_logic := '0';
    INIT_POWER_UP : inout std_logic := '1';
    ATRETURN01 : inout std_logic := '0';
    AV5V : inout std_logic := 'Z';
    Temp : inout std_logic := 'Z';
    VAREF : inout std_logic := 'Z';
    Supply_good : in std_logic := 'Z';
    Over_temp : in std_logic := 'Z');

end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;
  signal AV5V_driver : real;
  signal Temp_driver : real;

  -- Parm Declarations
  signal CLK40M_MinHL : time := 0 ns;
  signal CLK40M_MaxHL : time := 0 ns;
  signal CLK40M_MinLH : time := 0 ns;
  signal CLK40M_MaxLH : time := 0 ns;
  signal CLK40M_JFall : time := 0 ns;
  signal CLK40M_JRise : time := 0 ns;
  signal CLK40M_Duty : real := 0.0;
  signal CLK40M_Period : time := 0 ns;
  signal CLK40M_Offset : time := 0 ns;

  -- Status Control block.

begin

  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 3000000 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Actel Analog Drivers Block
  drive_analog_input(AV5V_driver, AV5V);
  drive_temperature_quad(Temp_driver, Temp);

  -- Parm Assignment Block
  AssignParms : process
    variable CLK40M_MinHL_real : real;
    variable CLK40M_MaxHL_real : real;
    variable CLK40M_MinLH_real : real;
    variable CLK40M_MaxLH_real : real;
    variable CLK40M_JFall_real : real;
    variable CLK40M_JRise_real : real;
    variable CLK40M_Duty_real : real;
    variable CLK40M_Period_real : real;
    variable CLK40M_Offset_real : real;
  begin
    CLK40M_MinHL_real := 0.0;
    CLK40M_MinHL <= CLK40M_MinHL_real * 1 ns;
    CLK40M_MaxHL_real := 0.0;
    CLK40M_MaxHL <= CLK40M_MaxHL_real * 1 ns;
    CLK40M_MinLH_real := 0.0;
    CLK40M_MinLH <= CLK40M_MinLH_real * 1 ns;
    CLK40M_MaxLH_real := 0.0;
    CLK40M_MaxLH <= CLK40M_MaxLH_real * 1 ns;
    CLK40M_JFall_real := 0.0;
    CLK40M_JFall <= CLK40M_JFall_real * 1 ns;
    CLK40M_JRise_real := 0.0;
    CLK40M_JRise <= CLK40M_JRise_real * 1 ns;
    CLK40M_Duty_real := 50.0;
    CLK40M_Duty <= CLK40M_Duty_real;
    CLK40M_Period_real := 25.0;
    CLK40M_Period <= CLK40M_Period_real * 1 ns;
    CLK40M_Offset_real := 0.0;
    CLK40M_Offset <= CLK40M_Offset_real * 1 ns;
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocks

  -- Clock Instantiation
  tb_CLK40M : entity syncad_vhdl_lib.tb_clock_minmax
    generic map (name => "tb_CLK40M",
                initialize => true,
                state1 => '1',
                state2 => '0')
    port map (tb_status,
              CLK40M,
              CLK40M_MinLH,
              CLK40M_MaxLH,
              CLK40M_MinHL,
              CLK40M_MaxHL,
              CLK40M_Offset,
              CLK40M_Period,
              CLK40M_Duty,
              CLK40M_JRise,
              CLK40M_JFall);

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    AV5V_driver <= 0.0;
    Temp_driver <= 50.0;
    wait for 20 ns;
    SYS_RESET <= '1';
    wait for 45434.538 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.539 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.538 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.539 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.538 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.539 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.538 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.539 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.538 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.539 ns;
    AV5V_driver <= 0.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 45454.538 ns;
    AV5V_driver <= 1.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 50.0;
    wait for 24999.993 ns;
    AV5V_driver <= 1.57142857142857;
    wait for 7.0e-003 ns;
    Temp_driver <= 51.3333333333333;
    wait for 24999.993 ns;
    AV5V_driver <= 2.14285714285714;
    wait for 7.0e-003 ns;
    Temp_driver <= 52.6666666666667;
    wait for 24999.993 ns;
    AV5V_driver <= 2.71428571428571;
    wait for 7.0e-003 ns;
    Temp_driver <= 54.0;
    wait for 24999.993 ns;
    AV5V_driver <= 3.28571428571429;
    wait for 7.0e-003 ns;
    Temp_driver <= 55.3333333333333;
    wait for 24999.993 ns;
    AV5V_driver <= 3.85714285714286;
    wait for 7.0e-003 ns;
    Temp_driver <= 56.6666666666667;
    wait for 24999.993 ns;
    AV5V_driver <= 4.42857142857143;
    wait for 7.0e-003 ns;
    Temp_driver <= 58.0;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 59.3333333333334;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 60.6666666666667;
    wait for 19999.993 ns;
    AV5V_driver <= 5.0;
    wait for 5000.007 ns;
    Temp_driver <= 62.0;
    wait for 14999.993 ns;
    AV5V_driver <= 5.0;
    wait for 10000.007 ns;
    Temp_driver <= 63.3333333333334;
    wait for 9999.993 ns;
    AV5V_driver <= 5.0;
    wait for 15000.007 ns;
    Temp_driver <= 64.6666666666667;
    wait for 4999.993 ns;
    AV5V_driver <= 5.0;
    wait for 20000 ns;
    AV5V_driver <= 5.5;
    wait for 7.0e-003 ns;
    Temp_driver <= 66.0;
    wait for 24999.993 ns;
    AV5V_driver <= 5.42857142857143;
    wait for 7.0e-003 ns;
    Temp_driver <= 67.3333333333333;
    wait for 24999.993 ns;
    AV5V_driver <= 5.35714285714286;
    wait for 7.0e-003 ns;
    Temp_driver <= 68.6666666666667;
    wait for 24999.993 ns;
    AV5V_driver <= 5.28571428571429;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.0;
    wait for 24999.993 ns;
    AV5V_driver <= 5.21428571428572;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.0;
    wait for 24999.993 ns;
    AV5V_driver <= 5.14285714285714;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.2857142857143;
    wait for 24999.993 ns;
    AV5V_driver <= 5.07142857142857;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.5714285714286;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.8571428571429;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 71.1428571428572;
    wait for 19999.993 ns;
    AV5V_driver <= 5.125;
    wait for 5000.007 ns;
    Temp_driver <= 71.4285714285715;
    wait for 14999.993 ns;
    AV5V_driver <= 5.25;
    wait for 10000.007 ns;
    Temp_driver <= 71.7142857142858;
    wait for 9999.993 ns;
    AV5V_driver <= 5.375;
    wait for 15000.007 ns;
    Temp_driver <= 72.0;
    wait for 4999.993 ns;
    AV5V_driver <= 5.5;
    wait for 20000 ns;
    AV5V_driver <= 5.5;
    wait for 7.0e-003 ns;
    Temp_driver <= 72.0;
    wait for 20000 ns;
    Temp_driver <= 72.0;
    wait for 4999.993 ns;
    AV5V_driver <= 5.42857142857143;
    wait for 15000.007 ns;
    Temp_driver <= 72.0;
    wait for 9999.993 ns;
    AV5V_driver <= 5.35714285714286;
    wait for 10000.007 ns;
    Temp_driver <= 72.0;
    wait for 14999.993 ns;
    AV5V_driver <= 5.28571428571429;
    wait for 5000.007 ns;
    Temp_driver <= 72.0;
    wait for 19999.993 ns;
    AV5V_driver <= 5.21428571428572;
    wait for 7.0e-003 ns;
    Temp_driver <= 72.0;
    wait for 20000 ns;
    Temp_driver <= 72.0;
    wait for 4999.993 ns;
    AV5V_driver <= 5.14285714285714;
    wait for 15000.007 ns;
    Temp_driver <= 72.0;
    wait for 9999.993 ns;
    AV5V_driver <= 5.07142857142857;
    wait for 10000.007 ns;
    Temp_driver <= 72.0;
    wait for 14999.993 ns;
    AV5V_driver <= 5.0;
    wait for 5000.007 ns;
    Temp_driver <= 72.0;
    wait for 19999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 72.0;
    wait for 19999.993 ns;
    AV5V_driver <= 5.0;
    wait for 5000.007 ns;
    Temp_driver <= 71.7142857142857;
    wait for 14999.993 ns;
    AV5V_driver <= 5.0;
    wait for 10000.007 ns;
    Temp_driver <= 71.4285714285714;
    wait for 9999.993 ns;
    AV5V_driver <= 5.0;
    wait for 15000.007 ns;
    Temp_driver <= 71.1428571428571;
    wait for 4999.993 ns;
    AV5V_driver <= 5.0;
    wait for 20000 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.8571428571428;
    wait for 24999.993 ns;
    AV5V_driver <= 4.94285714285714;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.5714285714285;
    wait for 24999.993 ns;
    AV5V_driver <= 4.88571428571429;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.2857142857142;
    wait for 24999.993 ns;
    AV5V_driver <= 4.82857142857143;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.0;
    wait for 24999.993 ns;
    AV5V_driver <= 4.77142857142857;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.0;
    wait for 24999.993 ns;
    AV5V_driver <= 4.71428571428572;
    wait for 7.0e-003 ns;
    Temp_driver <= 69.7142857142857;
    wait for 24999.993 ns;
    AV5V_driver <= 4.65714285714286;
    wait for 7.0e-003 ns;
    Temp_driver <= 69.4285714285714;
    wait for 24999.993 ns;
    AV5V_driver <= 4.6;
    wait for 7.0e-003 ns;
    Temp_driver <= 69.1428571428571;
    wait for 24999.993 ns;
    AV5V_driver <= 4.6;
    wait for 7.0e-003 ns;
    Temp_driver <= 68.8571428571428;
    wait for 19999.993 ns;
    AV5V_driver <= 4.6;
    wait for 5000.007 ns;
    Temp_driver <= 68.5714285714285;
    wait for 14999.993 ns;
    AV5V_driver <= 4.6;
    wait for 10000.007 ns;
    Temp_driver <= 68.2857142857142;
    wait for 9999.993 ns;
    AV5V_driver <= 4.6;
    wait for 15000.007 ns;
    Temp_driver <= 68.0;
    wait for 4999.993 ns;
    AV5V_driver <= 4.6;
    wait for 20000 ns;
    AV5V_driver <= 4.6;
    wait for 7.0e-003 ns;
    Temp_driver <= 68.0;
    wait for 24999.993 ns;
    AV5V_driver <= 4.65714285714286;
    wait for 7.0e-003 ns;
    Temp_driver <= 68.5714285714286;
    wait for 24999.993 ns;
    AV5V_driver <= 4.71428571428571;
    wait for 7.0e-003 ns;
    Temp_driver <= 69.1428571428571;
    wait for 24999.993 ns;
    AV5V_driver <= 4.77142857142857;
    wait for 7.0e-003 ns;
    Temp_driver <= 69.7142857142857;
    wait for 24999.993 ns;
    AV5V_driver <= 4.82857142857143;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.2857142857143;
    wait for 24999.993 ns;
    AV5V_driver <= 4.88571428571428;
    wait for 7.0e-003 ns;
    Temp_driver <= 70.8571428571428;
    wait for 24999.993 ns;
    AV5V_driver <= 4.94285714285714;
    wait for 7.0e-003 ns;
    Temp_driver <= 71.4285714285714;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 72.0;
    wait for 24999.993 ns;
    AV5V_driver <= 5.0;
    wait for 7.0e-003 ns;
    Temp_driver <= 72.0;
    wait for 25000 ns;
    Temp_driver <= 71.8571428571429;
    wait for 14999.993 ns;
    AV5V_driver <= 5.0;
    wait for 10000.007 ns;
    Temp_driver <= 71.7142857142857;
    wait for 25000 ns;
    Temp_driver <= 71.5714285714286;
    wait for 4999.993 ns;
    AV5V_driver <= 5.0;
    wait for 20000.007 ns;
    Temp_driver <= 71.4285714285714;
    wait for 19999.993 ns;
    AV5V_driver <= 5.0;
    wait for 5000.007 ns;
    Temp_driver <= 71.2857142857143;
    wait for 25000 ns;
    Temp_driver <= 71.1428571428572;
    wait for 9999.993 ns;
    AV5V_driver <= 5.0;
    wait for 15000.007 ns;
    Temp_driver <= 71.0;
    wait for 925000 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
library fusion;
use fusion.analog_io.all;
-- Additional libraries used by Model Under Test.
library ieee;
use ieee.std_logic_unsigned.all;
-- End Additional libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal CLK40M : std_logic;
  signal SYS_RESET : std_logic;
  signal INIT_POWER_UP : std_logic;
  signal ATRETURN01 : std_logic;
  signal AV5V : std_logic;
  signal Temp : std_logic;
  signal VAREF : std_logic;
  signal Supply_good : std_logic;
  signal Over_temp : std_logic;

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (CLK40M => CLK40M,
              SYS_RESET => SYS_RESET,
              INIT_POWER_UP => INIT_POWER_UP,
              ATRETURN01 => ATRETURN01,
              AV5V => AV5V,
              Temp => Temp,
              VAREF => VAREF,
              Supply_good => Supply_good,
              Over_temp => Over_temp);

  -- Instantiation of Model Under Test.
  VT_Mon_0 : entity work.VT_Mon
    port map (CLK40M => CLK40M,
              SYS_RESET => SYS_RESET,
              INIT_POWER_UP => INIT_POWER_UP,
              ATRETURN01 => ATRETURN01,
              AV5V => AV5V,
              Temp => Temp,
              VAREF => VAREF,
              Supply_good => Supply_good,
              Over_temp => Over_temp);
end tbGeneratedCode;
